diff -pruN 3.7.12.0-3/CHANGELOG.md 3.7.13.2-2/CHANGELOG.md
--- 3.7.12.0-3/CHANGELOG.md	2018-03-30 20:43:44.000000000 +0000
+++ 3.7.13.2-2/CHANGELOG.md	2018-06-01 07:30:19.000000000 +0000
@@ -6,6 +6,31 @@ and this project adheres to [Semantic Ve
 
 Older Logs can be found in `docs/RELEASE-NOTES-*`.
 
+
+## [3.7.13.2] - 2018-05-31
+
+### Fixed
+#### Project Scope
+- Actually bumped version in CMakeLists.txt to 3.7.13.2; the 3.7.13.1 tag was tagged off-branch; maintainer failure to simultaneously push a commit that raises the internal version number to 3.7.14.0: this had to be reverted ASAP.
+
+## [3.7.13.1] - 2018-05-31
+
+### Fixed
+#### Project Scope
+- Actually bumped version in CMakeLists.txt 
+
+## [3.7.13.0] - 2018-05-31
+
+### Fixed
+#### Project Scope
+- `boost::posix_time::[milli]second` takes integer numbers, and we now at least cast the floats to integers, as Boost 1.67 forced us to realize we're (incorrectly) using floating point her
+- CMake: using regex to match compiler against "Clang" now enables correct build on OS X
+#### GRC
+- Fixed GRC bug which broke WX and Qt (by altering the template code), in multiple (less than awesome) steps
+#### gr-blocks
+- `float_array_to_int`: int32 limits were wrongly hardcoded. 
+- Fixed the undefined behaviour happening in `float_to_complex` when accessing the second input_items element in the single-input case
+
 ## [3.7.12.0] - 2018-04-01
 
 ### Software Engineering
diff -pruN 3.7.12.0-3/CMakeLists.txt 3.7.13.2-2/CMakeLists.txt
--- 3.7.12.0-3/CMakeLists.txt	2018-03-30 20:43:44.000000000 +0000
+++ 3.7.13.2-2/CMakeLists.txt	2018-06-01 07:30:19.000000000 +0000
@@ -1,4 +1,4 @@
-# Copyright 2010-2017 Free Software Foundation, Inc.
+# Copyright 2010-2018 Free Software Foundation, Inc.
 #
 # This file is part of GNU Radio
 #
@@ -48,8 +48,8 @@ message(STATUS "Build type set to ${CMAK
 # Set the version information here
 set(VERSION_INFO_MAJOR_VERSION 3)
 set(VERSION_INFO_API_COMPAT    7)
-set(VERSION_INFO_MINOR_VERSION 12)
-set(VERSION_INFO_MAINT_VERSION 0)
+set(VERSION_INFO_MINOR_VERSION 13)
+set(VERSION_INFO_MAINT_VERSION 2)
 include(GrVersion) #setup version info
 
 # Minimum dependency versions for central dependencies:
@@ -100,7 +100,7 @@ IF(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
     ELSE()
         MESSAGE(WARNING "\nCannot determine the version of the compiler selected to build GNU Radio (GCC : ${CMAKE_CXX_COMPILER}). This build may or not work. We highly recommend using GCC version ${GCC_MIN_VERSION} or more recent.")
     ENDIF()
-ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+ELSEIF(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     EXECUTE_PROCESS(COMMAND
         ${CMAKE_CXX_COMPILER} -v
         RESULT_VARIABLE _res ERROR_VARIABLE _err
@@ -137,7 +137,7 @@ ENDIF()
 
 IF(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
     SET(CMAKE_CXX_STANDARD 98)
-ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+ELSEIF(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     SET(CMAKE_CXX_STANDARD 98)
 ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
     SET(CMAKE_CXX_STANDARD 98)
@@ -147,7 +147,7 @@ ENDIF()
 
 IF(CMAKE_C_COMPILER_ID STREQUAL "GNU")
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
-ELSEIF(CMAKE_C_COMPILER_ID STREQUAL "Clang")
+ELSEIF(CMAKE_C_COMPILER_ID MATCHES "Clang")
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
 ELSEIF(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11")
diff -pruN 3.7.12.0-3/debian/changelog 3.7.13.2-2/debian/changelog
--- 3.7.12.0-3/debian/changelog	2018-05-27 14:01:19.000000000 +0000
+++ 3.7.13.2-2/debian/changelog	2018-06-08 04:09:08.000000000 +0000
@@ -1,3 +1,17 @@
+gnuradio (3.7.13.2-2) unstable; urgency=medium
+
+  * build with uhd 3.12.0.0
+
+ -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 08 Jun 2018 00:09:08 -0400
+
+gnuradio (3.7.13.2-1) experimental; urgency=medium
+
+  * New upstream release tag
+    upload to experimental to start new library abi transition
+  * Update freedv and codec2 blocks
+
+ -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 05 Jun 2018 15:50:26 -0400
+
 gnuradio (3.7.12.0-3) unstable; urgency=medium
 
   * update to v3.7.12.0-8-g4c82185a26
diff -pruN 3.7.12.0-3/debian/control 3.7.13.2-2/debian/control
--- 3.7.12.0-3/debian/control	2018-05-27 14:01:19.000000000 +0000
+++ 3.7.13.2-2/debian/control	2018-06-08 04:03:19.000000000 +0000
@@ -29,7 +29,7 @@ Build-Depends: cmake,
 	       libqwt-qt5-dev,
                libsdl1.2-dev,
                libsndfile1-dev,
-               libuhd-dev (>=3.11) [!hurd-i386],
+               libuhd-dev (>=3.12) [!hurd-i386],
                libusb-1.0-0-dev [!kfreebsd-any],
                libusb2-dev [kfreebsd-any],
 	       libvolk1-dev (>=1.4),
@@ -54,7 +54,7 @@ Build-Depends: cmake,
 	       qttools5-dev,
                swig (>=1.3.31),
                xmlto
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://gnuradio.org/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gnuradio
 Vcs-Git: https://salsa.debian.org/bottoms/pkg-gnuradio.git
@@ -144,7 +144,7 @@ Description: GNU Software Defined Radio
  .
  Part of the main gnuradio build.
 
-Package: libgnuradio-analog3.7.12
+Package: libgnuradio-analog3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -155,7 +155,7 @@ Description: gnuradio analog functions
  These functions are also in gnuradio-core.
  Part of the main gnuradio build.
 
-Package: libgnuradio-atsc3.7.12
+Package: libgnuradio-atsc3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -166,7 +166,7 @@ Description: gnuradio atsc functions
  signals such as those used for digital television broadcast in North
  America. Part of the main gnuradio build.
 
-Package: libgnuradio-audio3.7.12
+Package: libgnuradio-audio3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -179,7 +179,7 @@ Description: gnuradio audio functions
  automatically discover the correct one to use.  Part of the main
  gnuradio build.
 
-Package: libgnuradio-comedi3.7.12
+Package: libgnuradio-comedi3.7.13
 Section: libs
 Architecture: kfreebsd-any linux-any
 Pre-Depends: ${misc:Pre-Depends}
@@ -190,7 +190,7 @@ Description: gnuradio comedi instrument
  supported by the Comedi library and drivers.
  Part of the main gnuradio build.
 
-Package: libgnuradio-blocks3.7.12
+Package: libgnuradio-blocks3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -201,7 +201,7 @@ Description: gnuradio blocks functions
  These functions are also in gnuradio-core.
  Part of the main gnuradio build.
 
-Package: libgnuradio-channels3.7.12
+Package: libgnuradio-channels3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -212,7 +212,7 @@ Description: gnuradio channels functions
  These functions are also in gnuradio-core.
  Part of the main gnuradio build.
 
-Package: libgnuradio-digital3.7.12
+Package: libgnuradio-digital3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -223,7 +223,7 @@ Description: gnuradio digital communicat
  including bpsk, qpsk, gmsk and ofdm signals.
  Part of the main gnuradio build.
 
-Package: libgnuradio-dtv3.7.12
+Package: libgnuradio-dtv3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -234,7 +234,7 @@ Description: gnuradio digital TV signal
  DVB-S2, DVB-T, DVB-T2 digital video broadcast standards.
  Part of the main gnuradio build.
 
-Package: libgnuradio-fcd3.7.12
+Package: libgnuradio-fcd3.7.13
 Section: libs
 Architecture: kfreebsd-any linux-any
 Pre-Depends: ${misc:Pre-Depends}
@@ -249,7 +249,7 @@ Description: gnuradio FunCube Dongle sup
  .
  Part of the main gnuradio build.
 
-Package: libgnuradio-fec3.7.12
+Package: libgnuradio-fec3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -261,7 +261,7 @@ Description: gnuradio forward error corr
  decoders for no-op dummmy, repetition, and convolutional classes.
  Part of the main gnuradio build.
 
-Package: libgnuradio-fft3.7.12
+Package: libgnuradio-fft3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -272,7 +272,7 @@ Description: gnuradio fast Fourier trans
  Uses single precision FFT from libfftw3-single3.
  Part of the main gnuradio build.
 
-Package: libgnuradio-filter3.7.12
+Package: libgnuradio-filter3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -284,7 +284,7 @@ Description: gnuradio filter functions
  PFB arbitrary resampler methods.
  Part of the main gnuradio build.
 
-Package: libgnuradio-noaa3.7.12
+Package: libgnuradio-noaa3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -295,7 +295,7 @@ Description: gnuradio noaa satellite sig
  Administration High Rate Picture Transmission) signals.
  Part of the main gnuradio build.
 
-Package: libgnuradio-pager3.7.12
+Package: libgnuradio-pager3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -307,7 +307,7 @@ Description: gnuradio pager radio functi
  of BCH error correction
  Part of the main gnuradio build.
 
-Package: libgnuradio-pmt3.7.12
+Package: libgnuradio-pmt3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -319,7 +319,7 @@ Description: gnuradio pmt container libr
  and threads in GNU Radio.
  Part of the main gnuradio build.
 
-Package: libgnuradio-qtgui3.7.12
+Package: libgnuradio-qtgui3.7.13
 Section: libs
 Architecture: kfreebsd-any linux-any
 Pre-Depends: ${misc:Pre-Depends}
@@ -331,7 +331,7 @@ Description: gnuradio Qt graphical user
  supports a QT Style Sheet (QSS) file to adjust the look.
  Part of the main gnuradio build.
 
-Package: libgnuradio-runtime3.7.12
+Package: libgnuradio-runtime3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -342,7 +342,7 @@ Description: gnuradio core runtime
  settings for logging, performance counters, and control port.
  Part of the main gnuradio build.
 
-Package: libgnuradio-trellis3.7.12
+Package: libgnuradio-trellis3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -354,7 +354,7 @@ Description: gnuradio trellis modulation
  based upon finite state machine (FSM) class.
  Part of the main gnuradio build.
 
-Package: libgnuradio-uhd3.7.12
+Package: libgnuradio-uhd3.7.13
 Section: libs
 Architecture: kfreebsd-any linux-any
 Pre-Depends: ${misc:Pre-Depends}
@@ -366,7 +366,7 @@ Description: gnuradio universal hardware
  including the USRP family of software radio peripheral devices.
  Part of the main gnuradio build.
 
-Package: libgnuradio-video-sdl3.7.12
+Package: libgnuradio-video-sdl3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -377,7 +377,7 @@ Description: gnuradio video functions
  Implements input and output blocks.
  Part of the main gnuradio build.
 
-Package: libgnuradio-vocoder3.7.12
+Package: libgnuradio-vocoder3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -389,7 +389,7 @@ Description: gnuradio vocoder functions
  .
  Part of the main gnuradio build.
 
-Package: libgnuradio-wavelet3.7.12
+Package: libgnuradio-wavelet3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -402,7 +402,7 @@ Description: gnuradio wavelet functions
  .
  Part of the main gnuradio build.
 
-Package: libgnuradio-wxgui3.7.12
+Package: libgnuradio-wxgui3.7.13
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -414,7 +414,7 @@ Description: gnuradio wxgui functions
  .
  Part of the main gnuradio build.
 
-Package: libgnuradio-zeromq3.7.12
+Package: libgnuradio-zeromq3.7.13
 Section: libs
 Architecture: kfreebsd-any linux-any
 Pre-Depends: ${misc:Pre-Depends}
diff -pruN 3.7.12.0-3/debian/gnuradio-dev_3.7.13.2-1_report.html 3.7.13.2-2/debian/gnuradio-dev_3.7.13.2-1_report.html
--- 3.7.12.0-3/debian/gnuradio-dev_3.7.13.2-1_report.html	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/gnuradio-dev_3.7.13.2-1_report.html	2018-06-05 19:50:26.000000000 +0000
@@ -0,0 +1,2416 @@
+<!-- kind:binary;verdict:compatible;affected:0;added:0;removed:0;type_problems_high:0;type_problems_medium:0;type_problems_low:0;interface_problems_high:0;interface_problems_medium:0;interface_problems_low:0;changed_constants:0;constant_changes_other:5;tool_version:2.2 -->
+<!-- kind:source;verdict:compatible;affected:0;added:7;removed:0;type_problems_high:0;type_problems_medium:0;type_problems_low:0;interface_problems_high:0;interface_problems_medium:0;interface_problems_low:0;changed_constants:0;constant_changes_other:5;tool_version:2.2 -->
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+<meta name="keywords" content="gnuradio-dev, compatibility, API, ABI, report" />
+<meta name="description" content="API/ABI compatibility report for the gnuradio-dev library between 3.7.12.0-1 and 3.7.13.2-1 versions" />
+<title>gnuradio-dev: 3.7.12.0-1 to 3.7.13.2-1 compatibility report</title>
+<style type="text/css">
+body {
+    font-family:Arial, sans-serif;
+    background-color:White;
+    color:Black;
+}
+hr {
+    color:Black;
+    background-color:Black;
+    height:1px;
+    border:0;
+}
+h1 {
+    margin-bottom:0px;
+    padding-bottom:0px;
+    font-size:1.625em;
+}
+h2 {
+    margin-bottom:0px;
+    padding-bottom:0px;
+    font-size:1.25em;
+    white-space:nowrap;
+}
+span.section {
+    font-weight:bold;
+    cursor:pointer;
+    color:#003E69;
+    white-space:nowrap;
+    margin-left:0.3125em;
+}
+span.new_sign {
+    font-weight:bold;
+    margin-left:1.65em;
+    color:#003E69;
+}
+span.new_sign_lbl {
+    margin-left:3em;
+    font-size:1em;
+    color:Black;
+}
+span:hover.section {
+    color:#336699;
+}
+span.sect_aff {
+    cursor:pointer;
+    padding-left:1.55em;
+    font-size:0.875em;
+    color:#cc3300;
+}
+span.sect_info {
+    cursor:pointer;
+    padding-left:1.55em;
+    font-size:0.875em;
+    color:Black;
+}
+span.ext {
+    font-weight:normal;
+}
+span.h_name {
+    color:#cc3300;
+    font-size:0.875em;
+    font-weight:bold;
+}
+div.h_list, div.lib_list {
+    font-size:0.94em;
+    padding-left:0.4em;
+}
+span.ns {
+    color:#408080;
+    font-size:0.94em;
+}
+span.lib_name {
+    color:Green;
+    font-size:0.875em;
+    font-weight:bold;
+}
+span.iname {
+    font-weight:bold;
+    color:#003E69;
+    margin-left:0.3125em;
+}
+span.iname_b {
+    font-weight:bold;
+}
+span.iname_a {
+    color:#333333;
+    font-weight:bold;
+    font-size:0.94em;
+}
+span.sym_p {
+    font-weight:normal;
+    white-space:normal;
+}
+span.sym_pd {
+    white-space:normal;
+}
+span.sym_p span, span.sym_pd span {
+    white-space:nowrap;
+}
+div.affect {
+    padding-left:1em;
+    padding-bottom:10px;
+    font-size:0.87em;
+    font-style:italic;
+    line-height:0.9em;
+}
+div.affected {
+    padding-left:1.9em;
+    padding-top:10px;
+}
+table.ptable {
+    border-collapse:collapse;
+    border:1px outset black;
+    margin-left:0.95em;
+    margin-top:3px;
+    margin-bottom:3px;
+    width:56.25em;
+}
+table.ptable td {
+    border:1px solid gray;
+    padding:3px;
+    font-size:0.875em;
+    text-align:left;
+    vertical-align:top;
+    max-width:28em;
+    word-wrap:break-word;
+}
+table.ptable th.pn {
+    width:2%;
+}
+table.ptable th.chg {
+    width:47%;
+}
+table.vtable {
+    border-collapse:collapse;
+    border:1px outset black;
+    margin-left:1.9em;
+    margin-top:0.7em;
+}
+table.vtable td {
+    border:1px solid gray;
+    padding:3px;
+    font-size:0.875em;
+    vertical-align:top;
+    max-width:450px;
+    word-wrap:break-word;
+}
+table.ptable th, table.vtable th {
+    background-color:#eeeeee;
+    font-weight:bold;
+    color:#333333;
+    font-family:Verdana, Arial;
+    font-size:0.875em;
+    border:1px solid gray;
+    text-align:center;
+    vertical-align:top;
+    white-space:nowrap;
+    padding:3px;
+}
+table.summary {
+    border-collapse:collapse;
+    border:1px outset black;
+}
+table.summary th {
+    background-color:#eeeeee;
+    font-weight:normal;
+    text-align:left;
+    font-size:0.94em;
+    white-space:nowrap;
+    border:1px inset gray;
+    padding:3px;
+}
+table.summary td {
+    text-align:right;
+    white-space:nowrap;
+    border:1px inset gray;
+    padding:3px 5px 3px 10px;
+}
+span.mngl {
+    padding-left:1em;
+    font-size:0.875em;
+    cursor:text;
+    color:#444444;
+    font-weight:bold;
+}
+span.pleft {
+    padding-left:2.5em;
+}
+span.sym_ver {
+    color:#333333;
+    white-space:nowrap;
+    font-family:"DejaVu Sans Mono", Monospace;
+}
+span.attr {
+    color:#333333;
+    font-weight:normal;
+}
+span.color_p {
+    font-style:italic;
+    color:Brown;
+}
+span.p {
+    font-style:italic;
+}
+span.fp {
+    font-style:italic;
+    background-color:#DCDCDC;
+}
+span.ttype {
+    font-weight:normal;
+}
+span.nowrap {
+    white-space:nowrap;
+}
+span.value {
+    font-weight:bold;
+}
+.passed {
+    background-color:#CCFFCC;
+    font-weight:normal;
+}
+.warning {
+    background-color:#F4F4AF;
+    font-weight:normal;
+}
+.failed {
+    background-color:#FFCCCC;
+    font-weight:normal;
+}
+.new {
+    background-color:#C6DEFF;
+    font-weight:normal;
+}
+.compatible {
+    background-color:#CCFFCC;
+    font-weight:normal;
+}
+.almost_compatible {
+    background-color:#FFDAA3;
+    font-weight:normal;
+}
+.incompatible {
+    background-color:#FFCCCC;
+    font-weight:normal;
+}
+.gray {
+    background-color:#DCDCDC;
+    font-weight:normal;
+}
+.top_ref {
+    font-size:0.69em;
+}
+.footer {
+    font-size:0.75em;
+}
+
+.tabset {
+    float:left;
+}
+a.tab {
+    border:1px solid Black;
+    float:left;
+    margin:0px 5px -1px 0px;
+    padding:3px 5px 3px 5px;
+    position:relative;
+    font-size:0.875em;
+    background-color:#DDD;
+    text-decoration:none;
+    color:Black;
+}
+a.disabled:hover
+{
+    color:Black;
+    background:#EEE;
+}
+a.active:hover
+{
+    color:Black;
+    background:White;
+}
+a.active {
+    border-bottom-color:White;
+    background-color:White;
+}
+div.tab {
+    border-top:1px solid Black;
+    padding:0px;
+    width:100%;
+    clear:both;
+}
+</style>
+<script type="text/javascript" language="JavaScript">
+<!--
+function showContent(header, id)
+{
+    e = document.getElementById(id);
+    if(e.style.display == 'none')
+    {
+        e.style.display = 'block';
+        e.style.visibility = 'visible';
+        header.innerHTML = header.innerHTML.replace(/\[[^0-9 ]\]/gi,"[&minus;]");
+    }
+    else
+    {
+        e.style.display = 'none';
+        e.style.visibility = 'hidden';
+        header.innerHTML = header.innerHTML.replace(/\[[^0-9 ]\]/gi,"[+]");
+    }
+}
+function initTabs()
+{
+    var url = window.location.href;
+    if(url.indexOf('_Source_')!=-1 || url.indexOf('#Source')!=-1)
+    {
+        var tab1 = document.getElementById('BinaryID');
+        var tab2 = document.getElementById('SourceID');
+        tab1.className='tab disabled';
+        tab2.className='tab active';
+    }
+    var sets = document.getElementsByTagName('div');
+    for (var i = 0; i < sets.length; i++)
+    {
+        if (sets[i].className.indexOf('tabset') != -1)
+        {
+            var tabs = [];
+            var links = sets[i].getElementsByTagName('a');
+            for (var j = 0; j < links.length; j++)
+            {
+                if (links[j].className.indexOf('tab') != -1)
+                {
+                    tabs.push(links[j]);
+                    links[j].tabs = tabs;
+                    var tab = document.getElementById(links[j].href.substr(links[j].href.indexOf('#') + 1));
+                    //reset all tabs on start
+                    if (tab)
+                    {
+                        if (links[j].className.indexOf('active')!=-1) {
+                            tab.style.display = 'block';
+                        }
+                        else {
+                            tab.style.display = 'none';
+                        }
+                    }
+                    links[j].onclick = function()
+                    {
+                        var tab = document.getElementById(this.href.substr(this.href.indexOf('#') + 1));
+                        if (tab)
+                        {
+                            //reset all tabs before change
+                            for (var k = 0; k < this.tabs.length; k++)
+                            {
+                                document.getElementById(this.tabs[k].href.substr(this.tabs[k].href.indexOf('#') + 1)).style.display = 'none';
+                                this.tabs[k].className = this.tabs[k].className.replace('active', 'disabled');
+                            }
+                            this.className = 'tab active';
+                            tab.style.display = 'block';
+                            // window.location.hash = this.id.replace('ID', '');
+                            return false;
+                        }
+                    }
+                }
+            }
+        }
+    }
+    if(url.indexOf('#')!=-1) {
+        location.href=location.href;
+    }
+}
+if (window.addEventListener) window.addEventListener('load', initTabs, false);
+else if (window.attachEvent) window.attachEvent('onload', initTabs);
+-->
+</script>
+</head>
+<body><a name='Source'></a><a name='Binary'></a><a name='Top'></a><h1>API compatibility report for the <span style='color:Blue;'>gnuradio-dev</span> library between <span style='color:Red;'>3.7.12.0-1</span> and <span style='color:Red;'>3.7.13.2-1</span> versions on <span style='color:Blue;'>x86_64</span></h1>
+
+            <br/>
+            <div class='tabset'>
+            <a id='BinaryID' href='#BinaryTab' class='tab active'>Binary<br/>Compatibility</a>
+            <a id='SourceID' href='#SourceTab' style='margin-left:3px' class='tab disabled'>Source<br/>Compatibility</a>
+            </div><div id='BinaryTab' class='tab'>
+<h2>Test Info</h2><hr/>
+<table class='summary'>
+<tr><th>Library Name</th><td>gnuradio-dev</td></tr>
+<tr><th>Version #1</th><td>3.7.12.0-1</td></tr>
+<tr><th>Version #2</th><td>3.7.13.2-1</td></tr>
+<tr><th>Arch</th><td>x86_64</td></tr>
+<tr><th>GCC Version</th><td>7</td></tr>
+<tr><th>Subject</th><td width='150px'>Binary Compatibility</td></tr>
+</table>
+<h2>Test Results</h2><hr/>
+<table class='summary'><tr><th>Total Header Files</th><td><a href='#Headers' style='color:Blue;'>841</a></td></tr>
+<tr><th>Total Libraries</th><td><a href='#Libs' style='color:Blue;'>24</a></td></tr>
+<tr><th>Total Symbols / Types</th><td>464 / 188</td></tr>
+<tr><th>Compatibility</th>
+<td class='compatible'>100%</td>
+</tr>
+</table>
+<h2>Problem Summary</h2><hr/>
+<table class='summary'><tr><th></th><th style='text-align:center;'>Severity</th><th style='text-align:center;'>Count</th></tr><tr><th>Added Symbols</th><td>-</td><td>0</td></tr>
+<tr><th>Removed Symbols</th><td>High</td><td>0</td></tr>
+<tr><th rowspan='3'>Problems with<br/>Data Types</th><td>High</td><td>0</td></tr>
+<tr><td>Medium</td><td>0</td></tr>
+<tr><td>Low</td><td>0</td></tr>
+<tr><th rowspan='3'>Problems with<br/>Symbols</th><td>High</td><td>0</td></tr>
+<tr><td>Medium</td><td>0</td></tr>
+<tr><td>Low</td><td>0</td></tr>
+<tr><th>Problems with<br/>Constants</th><td>Low</td><td>0</td></tr>
+<tr><th>Other Changes<br/>in Constants</th><td>-</td><td class='passed'><a href='#Other_Binary_Changes_In_Constants' style='color:Blue;'>5</a></td></tr>
+</table>
+
+<a name='Other_Binary_Changes'></a><a name='Other_Binary_Changes_In_Constants'></a>
+<h2>Other Changes in Constants <span class='passed'>&nbsp;5&nbsp;</span></h2><hr/>
+<span class='h_name'>codec2.h</span><br/>
+<span class="section" onclick="javascript:showContent(this, 'c_1')">
+<span class='ext'>[+]</span> CODEC2_MODE_WB</span>
+<br/>
+<div id="c_1" style="display:none;">
+<table class='ptable'>
+<tr>
+<th class='pn'></th>
+<th class='chg'>Change</th>
+<th>Effect</th>
+</tr>
+<tr>
+<th>1</th>
+<td>The constant <b>CODEC2_MODE_WB</b> with value <b>9</b> has been added.</td>
+<td>No effect.</td>
+</tr>
+</table>
+<br/>
+</div>
+
+<br/>
+<span class='h_name'>freedv_api.h</span><br/>
+<span class="section" onclick="javascript:showContent(this, 'c_2')">
+<span class='ext'>[+]</span> FREEDV_MODE_700D</span>
+<br/>
+<div id="c_2" style="display:none;">
+<table class='ptable'>
+<tr>
+<th class='pn'></th>
+<th class='chg'>Change</th>
+<th>Effect</th>
+</tr>
+<tr>
+<th>1</th>
+<td>The constant <b>FREEDV_MODE_700D</b> with value <b>7</b> has been added.</td>
+<td>No effect.</td>
+</tr>
+</table>
+<br/>
+</div>
+
+<span class="section" onclick="javascript:showContent(this, 'c_3')">
+<span class='ext'>[+]</span> FREEDV_SYNC_AUTO</span>
+<br/>
+<div id="c_3" style="display:none;">
+<table class='ptable'>
+<tr>
+<th class='pn'></th>
+<th class='chg'>Change</th>
+<th>Effect</th>
+</tr>
+<tr>
+<th>1</th>
+<td>The constant <b>FREEDV_SYNC_AUTO</b> with value <b>1</b> has been added.</td>
+<td>No effect.</td>
+</tr>
+</table>
+<br/>
+</div>
+
+<span class="section" onclick="javascript:showContent(this, 'c_4')">
+<span class='ext'>[+]</span> FREEDV_SYNC_MANUAL</span>
+<br/>
+<div id="c_4" style="display:none;">
+<table class='ptable'>
+<tr>
+<th class='pn'></th>
+<th class='chg'>Change</th>
+<th>Effect</th>
+</tr>
+<tr>
+<th>1</th>
+<td>The constant <b>FREEDV_SYNC_MANUAL</b> with value <b>2</b> has been added.</td>
+<td>No effect.</td>
+</tr>
+</table>
+<br/>
+</div>
+
+<span class="section" onclick="javascript:showContent(this, 'c_5')">
+<span class='ext'>[+]</span> FREEDV_SYNC_UNSYNC</span>
+<br/>
+<div id="c_5" style="display:none;">
+<table class='ptable'>
+<tr>
+<th class='pn'></th>
+<th class='chg'>Change</th>
+<th>Effect</th>
+</tr>
+<tr>
+<th>1</th>
+<td>The constant <b>FREEDV_SYNC_UNSYNC</b> with value <b>0</b> has been added.</td>
+<td>No effect.</td>
+</tr>
+</table>
+<br/>
+</div>
+
+<br/>
+<a class='top_ref' href='#Top'>to the top</a><br/>
+<a name='Headers'></a><h2>Header Files <span class='gray'>&nbsp;841&nbsp;</span></h2><hr/>
+<div class='h_list'>
+abs_ff.h<br/>
+abs_ii.h<br/>
+abs_ss.h<br/>
+add_cc.h<br/>
+add_const_bb.h<br/>
+add_const_cc.h<br/>
+add_const_ff.h<br/>
+add_const_ii.h<br/>
+add_const_ss.h<br/>
+add_const_vbb.h<br/>
+add_const_vcc.h<br/>
+add_const_vff.h<br/>
+add_const_vii.h<br/>
+add_const_vss.h<br/>
+add_ff.h<br/>
+add_ii.h<br/>
+add_ss.h<br/>
+additive_scrambler_bb.h<br/>
+agc.h<br/>
+agc2.h<br/>
+agc2_cc.h<br/>
+agc2_ff.h<br/>
+agc3_cc.h<br/>
+agc_cc.h<br/>
+agc_ff.h<br/>
+alaw_decode_bs.h<br/>
+alaw_encode_sb.h<br/>
+alist.h<br/>
+and_bb.h<br/>
+and_const_bb.h<br/>
+and_const_ii.h<br/>
+and_const_ss.h<br/>
+and_ii.h<br/>
+and_ss.h<br/>
+annotator_1to1.h<br/>
+annotator_alltoall.h<br/>
+annotator_raw.h<br/>
+api.h<br/>
+argmax_fs.h<br/>
+argmax_is.h<br/>
+argmax_ss.h<br/>
+async_decoder.h<br/>
+async_encoder.h<br/>
+atsc_consts.h<br/>
+atsc_deinterleaver.h<br/>
+atsc_depad.h<br/>
+atsc_derandomizer.h<br/>
+atsc_equalizer.h<br/>
+atsc_field_sync_mux.h<br/>
+atsc_fpll.h<br/>
+atsc_fs_checker.h<br/>
+atsc_interleaver.h<br/>
+atsc_pad.h<br/>
+atsc_randomizer.h<br/>
+atsc_rs_decoder.h<br/>
+atsc_rs_encoder.h<br/>
+atsc_sync.h<br/>
+atsc_trellis_encoder.h<br/>
+atsc_viterbi_decoder.h<br/>
+attributes.h<br/>
+awgn_bp.h<br/>
+base.h<br/>
+basic_block.h<br/>
+basic_trellis_encoder_impl.h<br/>
+ber_bf.h<br/>
+ber_sink_b.h<br/>
+bin_statistics_f.h<br/>
+binary_slicer_fb.h<br/>
+bit_timing_loop.h<br/>
+block.h<br/>
+block_detail.h<br/>
+block_gateway.h<br/>
+block_registry.h<br/>
+buffer.h<br/>
+burst_shaper_cc.h<br/>
+burst_shaper_ff.h<br/>
+burst_tagger.h<br/>
+calc_metric.h<br/>
+catv_config.h<br/>
+catv_frame_sync_enc_bb.h<br/>
+catv_randomizer_bb.h<br/>
+catv_reed_solomon_enc_bb.h<br/>
+catv_transport_framing_enc_bb.h<br/>
+catv_trellis_enc_bb.h<br/>
+cc_common.h<br/>
+cc_decoder.h<br/>
+cc_encoder.h<br/>
+ccsds_encoder.h<br/>
+channel_model.h<br/>
+channel_model2.h<br/>
+char_to_float.h<br/>
+char_to_short.h<br/>
+check_lfsr_32k_s.h<br/>
+chunks_to_symbols_bc.h<br/>
+chunks_to_symbols_bf.h<br/>
+chunks_to_symbols_ic.h<br/>
+chunks_to_symbols_if.h<br/>
+chunks_to_symbols_sc.h<br/>
+chunks_to_symbols_sf.h<br/>
+cldpc.h<br/>
+clock_recovery_mm_cc.h<br/>
+clock_recovery_mm_ff.h<br/>
+cma_equalizer_cc.h<br/>
+codec2.h<br/>
+codec2_decode_ps.h<br/>
+codec2_encode_sp.h<br/>
+complex_to_arg.h<br/>
+complex_to_float.h<br/>
+complex_to_imag.h<br/>
+complex_to_interleaved_short.h<br/>
+complex_to_mag.h<br/>
+complex_to_mag_squared.h<br/>
+complex_to_magphase.h<br/>
+complex_to_real.h<br/>
+config.h<br/>
+conjugate_cc.h<br/>
+const_sink_c.h<br/>
+constants.h<br/>
+constellation.h<br/>
+constellation_decoder_cb.h<br/>
+constellation_metrics_cf.h<br/>
+constellation_receiver_cb.h<br/>
+constellation_soft_decoder_cf.h<br/>
+constellationdisplayform.h<br/>
+ConstellationDisplayPlot.h<br/>
+consts.h<br/>
+control_loop.h<br/>
+conv_bit_corr_bb.h<br/>
+convolutional_interleaver.h<br/>
+copy.h<br/>
+core_algorithms.h<br/>
+corr_est_cc.h<br/>
+correlate_access_code_bb.h<br/>
+correlate_access_code_bb_ts.h<br/>
+correlate_access_code_ff_ts.h<br/>
+correlate_access_code_tag_bb.h<br/>
+correlate_access_code_tag_ff.h<br/>
+correlate_and_sync_cc.h<br/>
+costas_loop_cc.h<br/>
+count_bits.h<br/>
+cpfsk_bc.h<br/>
+cpm.h<br/>
+cpmmod_bc.h<br/>
+crc32.h<br/>
+crc32_async_bb.h<br/>
+crc32_bb.h<br/>
+create_atsci_equalizer.h<br/>
+create_atsci_fs_checker.h<br/>
+create_atsci_fs_correlator.h<br/>
+ctcss_squelch_ff.h<br/>
+ctrlport_probe2_b.h<br/>
+ctrlport_probe2_c.h<br/>
+ctrlport_probe2_f.h<br/>
+ctrlport_probe2_i.h<br/>
+ctrlport_probe2_s.h<br/>
+ctrlport_probe_c.h<br/>
+ctrlport_probe_psd.h<br/>
+cvsd_decode_bs.h<br/>
+cvsd_encode_sb.h<br/>
+data_interleaver_impl.h<br/>
+dc_blocker_cc.h<br/>
+dc_blocker_ff.h<br/>
+decode_ccsds_27_fb.h<br/>
+decoder.h<br/>
+deinterleave.h<br/>
+deinterleaver.h<br/>
+delay.h<br/>
+depad.h<br/>
+depuncture_bb.h<br/>
+derandomizer.h<br/>
+descrambler_bb.h<br/>
+diag_output_impl.h<br/>
+diff_decoder_bb.h<br/>
+diff_encoder_bb.h<br/>
+diff_phasor_cc.h<br/>
+displayform.h<br/>
+DisplayPlot.h<br/>
+divide_cc.h<br/>
+divide_ff.h<br/>
+divide_ii.h<br/>
+divide_ss.h<br/>
+dpll_bb.h<br/>
+ds_to_softds.h<br/>
+dummy_decoder.h<br/>
+dummy_encoder.h<br/>
+dvb_bbheader_bb.h<br/>
+dvb_bbscrambler_bb.h<br/>
+dvb_bch_bb.h<br/>
+dvb_config.h<br/>
+dvb_ldpc_bb.h<br/>
+dvbs2_config.h<br/>
+dvbs2_interleaver_bb.h<br/>
+dvbs2_modulator_bc.h<br/>
+dvbs2_physical_cc.h<br/>
+dvbt2_cellinterleaver_cc.h<br/>
+dvbt2_config.h<br/>
+dvbt2_framemapper_cc.h<br/>
+dvbt2_freqinterleaver_cc.h<br/>
+dvbt2_interleaver_bb.h<br/>
+dvbt2_miso_cc.h<br/>
+dvbt2_modulator_bc.h<br/>
+dvbt2_p1insertion_cc.h<br/>
+dvbt2_paprtr_cc.h<br/>
+dvbt2_pilotgenerator_cc.h<br/>
+dvbt_bit_inner_deinterleaver.h<br/>
+dvbt_bit_inner_interleaver.h<br/>
+dvbt_config.h<br/>
+dvbt_convolutional_deinterleaver.h<br/>
+dvbt_convolutional_interleaver.h<br/>
+dvbt_demap.h<br/>
+dvbt_demod_reference_signals.h<br/>
+dvbt_energy_descramble.h<br/>
+dvbt_energy_dispersal.h<br/>
+dvbt_inner_coder.h<br/>
+dvbt_map.h<br/>
+dvbt_ofdm_sym_acquisition.h<br/>
+dvbt_reed_solomon_dec.h<br/>
+dvbt_reed_solomon_enc.h<br/>
+dvbt_reference_signals.h<br/>
+dvbt_symbol_inner_interleaver.h<br/>
+dvbt_viterbi_decoder.h<br/>
+edit_box_msg.h<br/>
+encode_ccsds_27_bb.h<br/>
+encoder.h<br/>
+encoder_bb.h<br/>
+encoder_bi.h<br/>
+encoder_bs.h<br/>
+encoder_ii.h<br/>
+encoder_si.h<br/>
+encoder_ss.h<br/>
+endian_swap.h<br/>
+endianness.h<br/>
+equalizer.h<br/>
+equalizer_impl.h<br/>
+equalizer_lms2_impl.h<br/>
+equalizer_lms_impl.h<br/>
+equalizer_nop_impl.h<br/>
+expj.h<br/>
+exponentiate_const_cci.h<br/>
+fading_model.h<br/>
+fake_single_viterbi_impl.h<br/>
+fastnoise_source_c.h<br/>
+fastnoise_source_f.h<br/>
+fastnoise_source_i.h<br/>
+fastnoise_source_s.h<br/>
+fec_mtrx.h<br/>
+feedforward_agc_cc.h<br/>
+feval.h<br/>
+fft.h<br/>
+fft_filter.h<br/>
+fft_filter_ccc.h<br/>
+fft_filter_ccf.h<br/>
+fft_filter_fff.h<br/>
+fft_vcc.h<br/>
+fft_vfc.h<br/>
+field_sync_demux.h<br/>
+field_sync_mux.h<br/>
+file_descriptor_sink.h<br/>
+file_descriptor_source.h<br/>
+file_meta_sink.h<br/>
+file_meta_source.h<br/>
+file_sink.h<br/>
+file_sink_base.h<br/>
+file_source.h<br/>
+filter_delay_fc.h<br/>
+filterbank.h<br/>
+filterbank_vcvcf.h<br/>
+fir_filter.h<br/>
+fir_filter_ccc.h<br/>
+fir_filter_ccf.h<br/>
+fir_filter_fcc.h<br/>
+fir_filter_fff.h<br/>
+fir_filter_fsf.h<br/>
+fir_filter_scc.h<br/>
+fir_filter_with_buffer.h<br/>
+firdes.h<br/>
+flex_deinterleave.h<br/>
+flex_frame.h<br/>
+flex_parse.h<br/>
+flex_sync.h<br/>
+fll_band_edge_cc.h<br/>
+float_to_char.h<br/>
+float_to_complex.h<br/>
+float_to_int.h<br/>
+float_to_short.h<br/>
+float_to_uchar.h<br/>
+flowgraph.h<br/>
+fmdet_cf.h<br/>
+form_menus.h<br/>
+fpll.h<br/>
+fractional_interpolator_cc.h<br/>
+fractional_interpolator_ff.h<br/>
+fractional_resampler_cc.h<br/>
+fractional_resampler_ff.h<br/>
+framer_sink_1.h<br/>
+freedv_api.h<br/>
+freedv_rx_ss.h<br/>
+freedv_tx_ss.h<br/>
+freq_sink_c.h<br/>
+freq_sink_f.h<br/>
+freq_xlating_fir_filter_ccc.h<br/>
+freq_xlating_fir_filter_ccf.h<br/>
+freq_xlating_fir_filter_fcc.h<br/>
+freq_xlating_fir_filter_fcf.h<br/>
+freq_xlating_fir_filter_scc.h<br/>
+freq_xlating_fir_filter_scf.h<br/>
+freqcontrolpanel.h<br/>
+freqdisplayform.h<br/>
+frequency_modulator_fc.h<br/>
+FrequencyDisplayPlot.h<br/>
+fs_checker.h<br/>
+fs_checker_impl.h<br/>
+fs_checker_naive_impl.h<br/>
+fs_correlator_impl.h<br/>
+fs_correlator_naive_impl.h<br/>
+fsm.h<br/>
+fxpt.h<br/>
+fxpt_nco.h<br/>
+fxpt_vco.h<br/>
+g721_decode_bs.h<br/>
+g721_encode_sb.h<br/>
+g723_24_decode_bs.h<br/>
+g723_24_encode_sb.h<br/>
+g723_40_decode_bs.h<br/>
+g723_40_encode_sb.h<br/>
+generic_decoder.h<br/>
+generic_encoder.h<br/>
+gf2mat.h<br/>
+gf2vec.h<br/>
+glfsr.h<br/>
+glfsr_source_b.h<br/>
+glfsr_source_f.h<br/>
+gnuradio_swig_bug_workaround.h<br/>
+goertzel.h<br/>
+goertzel_fc.h<br/>
+gr_complex.h<br/>
+GrAtscSegSymSyncImpl_export.h<br/>
+gsm_fr_decode_ps.h<br/>
+gsm_fr_encode_sp.h<br/>
+hdlc_deframer_bp.h<br/>
+hdlc_framer_pb.h<br/>
+head.h<br/>
+header_buffer.h<br/>
+header_format_base.h<br/>
+header_format_counter.h<br/>
+header_format_crc.h<br/>
+header_format_default.h<br/>
+header_format_ofdm.h<br/>
+header_payload_demux.h<br/>
+hier_block2.h<br/>
+high_res_timer.h<br/>
+hilbert_fc.h<br/>
+histo_sink_f.h<br/>
+histogram_sink_f.h<br/>
+histogramdisplayform.h<br/>
+HistogramDisplayPlot.h<br/>
+hrpt.h<br/>
+hrpt_decoder.h<br/>
+hrpt_deframer.h<br/>
+hrpt_pll_cf.h<br/>
+iir_filter.h<br/>
+iir_filter_ccc.h<br/>
+iir_filter_ccd.h<br/>
+iir_filter_ccf.h<br/>
+iir_filter_ccz.h<br/>
+iir_filter_ffd.h<br/>
+int_to_float.h<br/>
+integrate_cc.h<br/>
+integrate_ff.h<br/>
+integrate_ii.h<br/>
+integrate_ss.h<br/>
+interleave.h<br/>
+interleaved_char_to_complex.h<br/>
+interleaved_short_to_complex.h<br/>
+interleaver.h<br/>
+interleaver_fifo.h<br/>
+interp_fir_filter_ccc.h<br/>
+interp_fir_filter_ccf.h<br/>
+interp_fir_filter_fcc.h<br/>
+interp_fir_filter_fff.h<br/>
+interp_fir_filter_fsf.h<br/>
+interp_fir_filter_scc.h<br/>
+interpolating_resampler_type.h<br/>
+interpolator_taps.h<br/>
+io_signature.h<br/>
+keep_m_in_n.h<br/>
+keep_one_in_n.h<br/>
+kurtotic_equalizer_cc.h<br/>
+ldpc_bit_flip_decoder.h<br/>
+ldpc_decoder.h<br/>
+ldpc_encoder.h<br/>
+ldpc_G_matrix.h<br/>
+ldpc_gen_mtrx_encoder.h<br/>
+ldpc_H_matrix.h<br/>
+ldpc_par_mtrx_encoder.h<br/>
+lfsr.h<br/>
+lfsr_15_1_0.h<br/>
+lfsr_32k.h<br/>
+lfsr_32k_source_s.h<br/>
+lms_dd_equalizer_cc.h<br/>
+log2_const.h<br/>
+logger.h<br/>
+magphase_to_complex.h<br/>
+map_bb.h<br/>
+math.h<br/>
+max_ff.h<br/>
+max_ii.h<br/>
+max_ss.h<br/>
+maxstar.h<br/>
+message.h<br/>
+message_burst_source.h<br/>
+message_debug.h<br/>
+message_sink.h<br/>
+message_source.h<br/>
+message_strobe.h<br/>
+message_strobe_random.h<br/>
+metric_type.h<br/>
+metrics_c.h<br/>
+metrics_f.h<br/>
+metrics_i.h<br/>
+metrics_s.h<br/>
+min_ff.h<br/>
+min_ii.h<br/>
+min_ss.h<br/>
+misc.h<br/>
+mmse_fir_interpolator_cc.h<br/>
+mmse_fir_interpolator_ff.h<br/>
+mmse_interp_differentiator_cc.h<br/>
+mmse_interp_differentiator_ff.h<br/>
+modulate_vector.h<br/>
+moving_average_cc.h<br/>
+moving_average_ff.h<br/>
+moving_average_ii.h<br/>
+moving_average_ss.h<br/>
+mpsk_receiver_cc.h<br/>
+mpsk_snr_est.h<br/>
+mpsk_snr_est_cc.h<br/>
+msg_accepter.h<br/>
+msg_accepter_msgq.h<br/>
+msg_handler.h<br/>
+msg_passing.h<br/>
+msg_producer.h<br/>
+msg_queue.h<br/>
+msk_timing_recovery_cc.h<br/>
+multiply_by_tag_value_cc.h<br/>
+multiply_cc.h<br/>
+multiply_conjugate_cc.h<br/>
+multiply_const_cc.h<br/>
+multiply_const_ff.h<br/>
+multiply_const_ii.h<br/>
+multiply_const_ss.h<br/>
+multiply_const_vcc.h<br/>
+multiply_const_vff.h<br/>
+multiply_const_vii.h<br/>
+multiply_const_vss.h<br/>
+multiply_ff.h<br/>
+multiply_ii.h<br/>
+multiply_matrix_cc.h<br/>
+multiply_matrix_ff.h<br/>
+multiply_ss.h<br/>
+mute_cc.h<br/>
+mute_ff.h<br/>
+mute_ii.h<br/>
+mute_ss.h<br/>
+nco.h<br/>
+nlog10_ff.h<br/>
+noise_source_c.h<br/>
+noise_source_f.h<br/>
+noise_source_i.h<br/>
+noise_source_s.h<br/>
+noise_type.h<br/>
+nop.h<br/>
+not_bb.h<br/>
+not_ii.h<br/>
+not_ss.h<br/>
+null_sink.h<br/>
+null_source.h<br/>
+number_sink.h<br/>
+numberdisplayform.h<br/>
+ofdm_carrier_allocator_cvc.h<br/>
+ofdm_chanest_vcvc.h<br/>
+ofdm_cyclic_prefixer.h<br/>
+ofdm_equalizer_base.h<br/>
+ofdm_equalizer_simpledfe.h<br/>
+ofdm_equalizer_static.h<br/>
+ofdm_frame_acquisition.h<br/>
+ofdm_frame_equalizer_vcvc.h<br/>
+ofdm_frame_sink.h<br/>
+ofdm_insert_preamble.h<br/>
+ofdm_mapper_bcv.h<br/>
+ofdm_sampler.h<br/>
+ofdm_serializer_vcc.h<br/>
+ofdm_sync_sc_cfb.h<br/>
+or_bb.h<br/>
+or_ii.h<br/>
+or_ss.h<br/>
+oscope_guts.h<br/>
+oscope_sink_f.h<br/>
+oscope_sink_x.h<br/>
+pack_k_bits.h<br/>
+pack_k_bits_bb.h<br/>
+packed_to_unpacked_bb.h<br/>
+packed_to_unpacked_ii.h<br/>
+packed_to_unpacked_ss.h<br/>
+packet_header_default.h<br/>
+packet_header_ofdm.h<br/>
+packet_headergenerator_bb.h<br/>
+packet_headerparser_b.h<br/>
+packet_sink.h<br/>
+pad.h<br/>
+patterned_interleaver.h<br/>
+pccc_decoder_b.h<br/>
+pccc_decoder_combined_cb.h<br/>
+pccc_decoder_combined_ci.h<br/>
+pccc_decoder_combined_cs.h<br/>
+pccc_decoder_combined_fb.h<br/>
+pccc_decoder_combined_fi.h<br/>
+pccc_decoder_combined_fs.h<br/>
+pccc_decoder_i.h<br/>
+pccc_decoder_s.h<br/>
+pccc_encoder_bb.h<br/>
+pccc_encoder_bi.h<br/>
+pccc_encoder_bs.h<br/>
+pccc_encoder_ii.h<br/>
+pccc_encoder_si.h<br/>
+pccc_encoder_ss.h<br/>
+pdu.h<br/>
+pdu_filter.h<br/>
+pdu_remove.h<br/>
+pdu_set.h<br/>
+pdu_to_tagged_stream.h<br/>
+peak_detector2_fb.h<br/>
+peak_detector_fb.h<br/>
+peak_detector_ib.h<br/>
+peak_detector_sb.h<br/>
+permutation.h<br/>
+pfb_arb_resampler.h<br/>
+pfb_arb_resampler_ccc.h<br/>
+pfb_arb_resampler_ccf.h<br/>
+pfb_arb_resampler_fff.h<br/>
+pfb_channelizer_ccf.h<br/>
+pfb_clock_sync_ccf.h<br/>
+pfb_clock_sync_fff.h<br/>
+pfb_decimator_ccf.h<br/>
+pfb_interpolator_ccf.h<br/>
+pfb_synthesizer_ccf.h<br/>
+phase_modulator_fc.h<br/>
+plateau_detector_fb.h<br/>
+pll_carriertracking_cc.h<br/>
+pll_freqdet_cf.h<br/>
+pll_refout_cc.h<br/>
+plot_raster.h<br/>
+plot_waterfall.h<br/>
+pm_remez.h<br/>
+pmt.h<br/>
+pmt_pool.h<br/>
+pmt_serial_tags.h<br/>
+pmt_sugar.h<br/>
+pn_correlator_cc.h<br/>
+pnXXX_impl.h<br/>
+polar_common.h<br/>
+polar_decoder_common.h<br/>
+polar_decoder_sc.h<br/>
+polar_decoder_sc_list.h<br/>
+polar_decoder_sc_systematic.h<br/>
+polar_encoder.h<br/>
+polar_encoder_systematic.h<br/>
+polyphase_filterbank.h<br/>
+prefs.h<br/>
+probe_avg_mag_sqrd_c.h<br/>
+probe_avg_mag_sqrd_cf.h<br/>
+probe_avg_mag_sqrd_f.h<br/>
+probe_density_b.h<br/>
+probe_mpsk_snr_est_c.h<br/>
+probe_rate.h<br/>
+probe_signal_b.h<br/>
+probe_signal_c.h<br/>
+probe_signal_f.h<br/>
+probe_signal_i.h<br/>
+probe_signal_s.h<br/>
+probe_signal_vb.h<br/>
+probe_signal_vc.h<br/>
+probe_signal_vf.h<br/>
+probe_signal_vi.h<br/>
+probe_signal_vs.h<br/>
+protocol_formatter_async.h<br/>
+protocol_formatter_bb.h<br/>
+protocol_parser_b.h<br/>
+pub_msg_sink.h<br/>
+pub_sink.h<br/>
+pull_msg_source.h<br/>
+pull_source.h<br/>
+puncture_bb.h<br/>
+puncture_ff.h<br/>
+push_msg_sink.h<br/>
+push_sink.h<br/>
+pwr_squelch_cc.h<br/>
+pwr_squelch_ff.h<br/>
+py_feval.h<br/>
+pycallback_object.h<br/>
+qtgui_types.h<br/>
+quadrature_demod_cf.h<br/>
+quicksort_index.h<br/>
+rail_ff.h<br/>
+random.h<br/>
+random_pdu.h<br/>
+random_uniform_source_b.h<br/>
+random_uniform_source_i.h<br/>
+random_uniform_source_s.h<br/>
+randomizer.h<br/>
+randomizer_impl.h<br/>
+rational_resampler_base_ccc.h<br/>
+rational_resampler_base_ccf.h<br/>
+rational_resampler_base_fcc.h<br/>
+rational_resampler_base_fff.h<br/>
+rational_resampler_base_fsf.h<br/>
+rational_resampler_base_scc.h<br/>
+realtime.h<br/>
+realtime_impl.h<br/>
+reed_solomon_impl.h<br/>
+regenerate_bb.h<br/>
+rep_msg_sink.h<br/>
+rep_sink.h<br/>
+repack_bits_bb.h<br/>
+repeat.h<br/>
+repetition_decoder.h<br/>
+repetition_encoder.h<br/>
+req_msg_source.h<br/>
+req_source.h<br/>
+rms_cf.h<br/>
+rms_ff.h<br/>
+rotator.h<br/>
+rotator_cc.h<br/>
+rpccallbackregister_base.h<br/>
+rpcmanager.h<br/>
+rpcmanager_base.h<br/>
+rpcregisterhelpers.h<br/>
+rpcserver_aggregator.h<br/>
+rpcserver_base.h<br/>
+rpcserver_booter_aggregator.h<br/>
+rpcserver_booter_base.h<br/>
+rpcserver_selector.h<br/>
+rs.h<br/>
+rs_decoder.h<br/>
+rs_encoder.h<br/>
+runtime_types.h<br/>
+sample_and_hold_bb.h<br/>
+sample_and_hold_ff.h<br/>
+sample_and_hold_ii.h<br/>
+sample_and_hold_ss.h<br/>
+sccc_decoder_b.h<br/>
+sccc_decoder_combined_cb.h<br/>
+sccc_decoder_combined_ci.h<br/>
+sccc_decoder_combined_cs.h<br/>
+sccc_decoder_combined_fb.h<br/>
+sccc_decoder_combined_fi.h<br/>
+sccc_decoder_combined_fs.h<br/>
+sccc_decoder_i.h<br/>
+sccc_decoder_s.h<br/>
+sccc_encoder_bb.h<br/>
+sccc_encoder_bi.h<br/>
+sccc_encoder_bs.h<br/>
+sccc_encoder_ii.h<br/>
+sccc_encoder_si.h<br/>
+sccc_encoder_ss.h<br/>
+scrambler_bb.h<br/>
+selective_fading_model.h<br/>
+short_to_char.h<br/>
+short_to_float.h<br/>
+sig_source_c.h<br/>
+sig_source_f.h<br/>
+sig_source_i.h<br/>
+sig_source_s.h<br/>
+sig_source_waveform.h<br/>
+simple_correlator.h<br/>
+simple_framer.h<br/>
+simple_framer_sync.h<br/>
+simple_squelch_cc.h<br/>
+sincos.h<br/>
+single_pole_iir.h<br/>
+single_pole_iir_filter_cc.h<br/>
+single_pole_iir_filter_ff.h<br/>
+single_viterbi_impl.h<br/>
+sink.h<br/>
+sink_c.h<br/>
+sink_f.h<br/>
+sink_s.h<br/>
+sink_uc.h<br/>
+siso_combined_f.h<br/>
+siso_f.h<br/>
+siso_type.h<br/>
+skiphead.h<br/>
+slicer_agc_impl.h<br/>
+slicer_fb.h<br/>
+sliding_correlator_impl.h<br/>
+socket_pdu.h<br/>
+source.h<br/>
+source_c.h<br/>
+source_s.h<br/>
+spectrumUpdateEvents.h<br/>
+sptr_magic.h<br/>
+squash_ff.h<br/>
+squelch_base_cc.h<br/>
+squelch_base_ff.h<br/>
+sssr_impl.h<br/>
+stream_mux.h<br/>
+stream_to_streams.h<br/>
+stream_to_tagged_stream.h<br/>
+stream_to_vector.h<br/>
+streams_to_stream.h<br/>
+streams_to_vector.h<br/>
+stretch_ff.h<br/>
+sub_cc.h<br/>
+sub_ff.h<br/>
+sub_ii.h<br/>
+sub_msg_source.h<br/>
+sub_source.h<br/>
+sub_ss.h<br/>
+symbol_sync_cc.h<br/>
+symbol_sync_ff.h<br/>
+syminfo_impl.h<br/>
+sync_block.h<br/>
+sync_decimator.h<br/>
+sync_interpolator.h<br/>
+sync_tag_impl.h<br/>
+sys_paths.h<br/>
+sys_pri.h<br/>
+tag_checker.h<br/>
+tag_debug.h<br/>
+tag_gate.h<br/>
+tag_share.h<br/>
+tagged_decoder.h<br/>
+tagged_encoder.h<br/>
+tagged_file_sink.h<br/>
+tagged_stream_align.h<br/>
+tagged_stream_block.h<br/>
+tagged_stream_multiply_length.h<br/>
+tagged_stream_mux.h<br/>
+tagged_stream_to_pdu.h<br/>
+tags.h<br/>
+tags_strobe.h<br/>
+tcp_server_sink.h<br/>
+test_tag_variable_rate_ff.h<br/>
+thread.h<br/>
+thread_body_wrapper.h<br/>
+thread_group.h<br/>
+threshold_ff.h<br/>
+throttle.h<br/>
+time_raster_sink_b.h<br/>
+time_raster_sink_f.h<br/>
+time_sink_c.h<br/>
+time_sink_f.h<br/>
+timecontrolpanel.h<br/>
+timedisplayform.h<br/>
+TimeDomainDisplayPlot.h<br/>
+timerasterdisplayform.h<br/>
+TimeRasterDisplayPlot.h<br/>
+timeRasterGlobalData.h<br/>
+timing_error_detector_type.h<br/>
+top_block.h<br/>
+tpb_detail.h<br/>
+tpc_common.h<br/>
+tpc_decoder.h<br/>
+tpc_encoder.h<br/>
+transcendental.h<br/>
+trellis_encoder.h<br/>
+trellis_encoder_impl.h<br/>
+trigger_mode.h<br/>
+tsb_vector_sink_b.h<br/>
+tsb_vector_sink_c.h<br/>
+tsb_vector_sink_f.h<br/>
+tsb_vector_sink_i.h<br/>
+tsb_vector_sink_s.h<br/>
+tuntap_pdu.h<br/>
+types.h<br/>
+uchar_to_float.h<br/>
+udp_sink.h<br/>
+udp_source.h<br/>
+ulaw_decode_bs.h<br/>
+ulaw_encode_sb.h<br/>
+unittests.h<br/>
+unpack_k_bits.h<br/>
+unpack_k_bits_bb.h<br/>
+unpacked_to_packed_bb.h<br/>
+unpacked_to_packed_ii.h<br/>
+unpacked_to_packed_ss.h<br/>
+utils.h<br/>
+vco_c.h<br/>
+vco_f.h<br/>
+vector_insert_b.h<br/>
+vector_insert_c.h<br/>
+vector_insert_f.h<br/>
+vector_insert_i.h<br/>
+vector_insert_s.h<br/>
+vector_map.h<br/>
+vector_sink_b.h<br/>
+vector_sink_c.h<br/>
+vector_sink_f.h<br/>
+vector_sink_i.h<br/>
+vector_sink_s.h<br/>
+vector_source_b.h<br/>
+vector_source_c.h<br/>
+vector_source_f.h<br/>
+vector_source_i.h<br/>
+vector_source_s.h<br/>
+vector_to_stream.h<br/>
+vector_to_streams.h<br/>
+vectordisplayform.h<br/>
+VectorDisplayPlot.h<br/>
+viterbi.h<br/>
+viterbi_b.h<br/>
+viterbi_combined_cb.h<br/>
+viterbi_combined_ci.h<br/>
+viterbi_combined_cs.h<br/>
+viterbi_combined_fb.h<br/>
+viterbi_combined_fi.h<br/>
+viterbi_combined_fs.h<br/>
+viterbi_combined_ib.h<br/>
+viterbi_combined_ii.h<br/>
+viterbi_combined_is.h<br/>
+viterbi_combined_sb.h<br/>
+viterbi_combined_si.h<br/>
+viterbi_combined_ss.h<br/>
+viterbi_decoder.h<br/>
+viterbi_decoder_impl.h<br/>
+viterbi_i.h<br/>
+viterbi_s.h<br/>
+waterfall_sink_c.h<br/>
+waterfall_sink_f.h<br/>
+waterfalldisplayform.h<br/>
+WaterfallDisplayPlot.h<br/>
+waterfallGlobalData.h<br/>
+wavelet_ff.h<br/>
+wavfile.h<br/>
+wavfile_sink.h<br/>
+wavfile_source.h<br/>
+window.h<br/>
+wvps_ff.h<br/>
+xor_bb.h<br/>
+xor_ii.h<br/>
+xor_ss.h<br/>
+</div>
+<br/><a class='top_ref' href='#Top'>to the top</a><br/>
+<a name='Libs'></a><h2>Libraries <span class='gray'>&nbsp;24&nbsp;</span></h2><hr/>
+<div class='lib_list'>
+libgnuradio-analog.so.3.7.12<br/>
+libgnuradio-atsc.so.3.7.12<br/>
+libgnuradio-audio.so.3.7.12<br/>
+libgnuradio-blocks.so.3.7.12<br/>
+libgnuradio-channels.so.3.7.12<br/>
+libgnuradio-comedi.so.3.7.12<br/>
+libgnuradio-digital.so.3.7.12<br/>
+libgnuradio-dtv.so.3.7.12<br/>
+libgnuradio-fcd.so.3.7.12<br/>
+libgnuradio-fec.so.3.7.12<br/>
+libgnuradio-fft.so.3.7.12<br/>
+libgnuradio-filter.so.3.7.12<br/>
+libgnuradio-noaa.so.3.7.12<br/>
+libgnuradio-pager.so.3.7.12<br/>
+libgnuradio-pmt.so.3.7.12<br/>
+libgnuradio-qtgui.so.3.7.12<br/>
+libgnuradio-runtime.so.3.7.12<br/>
+libgnuradio-trellis.so.3.7.12<br/>
+libgnuradio-uhd.so.3.7.12<br/>
+libgnuradio-video-sdl.so.3.7.12<br/>
+libgnuradio-vocoder.so.3.7.12<br/>
+libgnuradio-wavelet.so.3.7.12<br/>
+libgnuradio-wxgui.so.3.7.12<br/>
+libgnuradio-zeromq.so.3.7.12<br/>
+</div>
+<br/><a class='top_ref' href='#Top'>to the top</a><br/>
+<br/><br/><br/></div><div id='SourceTab' class='tab'>
+<h2>Test Info</h2><hr/>
+<table class='summary'>
+<tr><th>Library Name</th><td>gnuradio-dev</td></tr>
+<tr><th>Version #1</th><td>3.7.12.0-1</td></tr>
+<tr><th>Version #2</th><td>3.7.13.2-1</td></tr>
+<tr><th>Arch</th><td>x86_64</td></tr>
+<tr><th>Subject</th><td width='150px'>Source Compatibility</td></tr>
+</table>
+<h2>Test Results</h2><hr/>
+<table class='summary'><tr><th>Total Header Files</th><td><a href='#Headers' style='color:Blue;'>841</a></td></tr>
+<tr><th>Total Libraries</th><td><a href='#Libs' style='color:Blue;'>24</a></td></tr>
+<tr><th>Total Symbols / Types</th><td>2909 / 1031</td></tr>
+<tr><th>Compatibility</th>
+<td class='compatible'>100%</td>
+</tr>
+</table>
+<h2>Problem Summary</h2><hr/>
+<table class='summary'><tr><th></th><th style='text-align:center;'>Severity</th><th style='text-align:center;'>Count</th></tr><tr><th>Added Symbols</th><td>-</td><td class='new'><a href='#Source_Added' style='color:Blue;'>7</a></td></tr>
+<tr><th>Removed Symbols</th><td>High</td><td>0</td></tr>
+<tr><th rowspan='3'>Problems with<br/>Data Types</th><td>High</td><td>0</td></tr>
+<tr><td>Medium</td><td>0</td></tr>
+<tr><td>Low</td><td>0</td></tr>
+<tr><th rowspan='3'>Problems with<br/>Symbols</th><td>High</td><td>0</td></tr>
+<tr><td>Medium</td><td>0</td></tr>
+<tr><td>Low</td><td>0</td></tr>
+<tr><th>Problems with<br/>Constants</th><td>Low</td><td>0</td></tr>
+<tr><th>Other Changes<br/>in Constants</th><td>-</td><td class='passed'><a href='#Other_Source_Changes_In_Constants' style='color:Blue;'>5</a></td></tr>
+</table>
+
+<a name='Source_Added'></a><h2>Added Symbols <span class='new'>&nbsp;7&nbsp;</span></h2><hr/>
+<span class='h_name'>freedv_api.h</span><br/>
+<span class="iname">freedv_get_sync_interleaver&#160;<span class='sym_p'><span>(&#160;struct freedv* <span class='color_p'>freedv</span></span>&#160;)</span></span><br/>
+<span class="iname">freedv_get_total_bit_errors_coded&#160;<span class='sym_p'><span>(&#160;struct freedv* <span class='color_p'>freedv</span></span>&#160;)</span></span><br/>
+<span class="iname">freedv_get_total_bits_coded&#160;<span class='sym_p'><span>(&#160;struct freedv* <span class='color_p'>freedv</span></span>&#160;)</span></span><br/>
+<span class="iname">freedv_open_advanced&#160;<span class='sym_p'><span>(&#160;int <span class='color_p'>mode</span></span>, <span>struct freedv_advanced* <span class='color_p'>adv</span></span>&#160;)</span></span><br/>
+<span class="iname">freedv_set_sync&#160;<span class='sym_p'><span>(&#160;struct freedv* <span class='color_p'>freedv</span></span>, <span>int <span class='color_p'>sync_cmd</span></span>&#160;)</span></span><br/>
+<span class="iname">freedv_set_tx_bpf&#160;<span class='sym_p'><span>(&#160;struct freedv* <span class='color_p'>freedv</span></span>, <span>int <span class='color_p'>val</span></span>&#160;)</span></span><br/>
+<span class="iname">freedv_set_verbose&#160;<span class='sym_p'><span>(&#160;struct freedv* <span class='color_p'>freedv</span></span>, <span>int <span class='color_p'>verbosity</span></span>&#160;)</span></span><br/>
+<br/>
+<a class='top_ref' href='#Top'>to the top</a><br/>
+<a name='Other_Source_Changes'></a><a name='Other_Source_Changes_In_Constants'></a>
+<h2>Other Changes in Constants <span class='passed'>&nbsp;5&nbsp;</span></h2><hr/>
+<span class='h_name'>codec2.h</span><br/>
+<span class="section" onclick="javascript:showContent(this, 'c_6')">
+<span class='ext'>[+]</span> CODEC2_MODE_WB</span>
+<br/>
+<div id="c_6" style="display:none;">
+<table class='ptable'>
+<tr>
+<th class='pn'></th>
+<th class='chg'>Change</th>
+<th>Effect</th>
+</tr>
+<tr>
+<th>1</th>
+<td>The constant <b>CODEC2_MODE_WB</b> with value <b>9</b> has been added.</td>
+<td>No effect.</td>
+</tr>
+</table>
+<br/>
+</div>
+
+<br/>
+<span class='h_name'>freedv_api.h</span><br/>
+<span class="section" onclick="javascript:showContent(this, 'c_7')">
+<span class='ext'>[+]</span> FREEDV_MODE_700D</span>
+<br/>
+<div id="c_7" style="display:none;">
+<table class='ptable'>
+<tr>
+<th class='pn'></th>
+<th class='chg'>Change</th>
+<th>Effect</th>
+</tr>
+<tr>
+<th>1</th>
+<td>The constant <b>FREEDV_MODE_700D</b> with value <b>7</b> has been added.</td>
+<td>No effect.</td>
+</tr>
+</table>
+<br/>
+</div>
+
+<span class="section" onclick="javascript:showContent(this, 'c_8')">
+<span class='ext'>[+]</span> FREEDV_SYNC_AUTO</span>
+<br/>
+<div id="c_8" style="display:none;">
+<table class='ptable'>
+<tr>
+<th class='pn'></th>
+<th class='chg'>Change</th>
+<th>Effect</th>
+</tr>
+<tr>
+<th>1</th>
+<td>The constant <b>FREEDV_SYNC_AUTO</b> with value <b>1</b> has been added.</td>
+<td>No effect.</td>
+</tr>
+</table>
+<br/>
+</div>
+
+<span class="section" onclick="javascript:showContent(this, 'c_9')">
+<span class='ext'>[+]</span> FREEDV_SYNC_MANUAL</span>
+<br/>
+<div id="c_9" style="display:none;">
+<table class='ptable'>
+<tr>
+<th class='pn'></th>
+<th class='chg'>Change</th>
+<th>Effect</th>
+</tr>
+<tr>
+<th>1</th>
+<td>The constant <b>FREEDV_SYNC_MANUAL</b> with value <b>2</b> has been added.</td>
+<td>No effect.</td>
+</tr>
+</table>
+<br/>
+</div>
+
+<span class="section" onclick="javascript:showContent(this, 'c_10')">
+<span class='ext'>[+]</span> FREEDV_SYNC_UNSYNC</span>
+<br/>
+<div id="c_10" style="display:none;">
+<table class='ptable'>
+<tr>
+<th class='pn'></th>
+<th class='chg'>Change</th>
+<th>Effect</th>
+</tr>
+<tr>
+<th>1</th>
+<td>The constant <b>FREEDV_SYNC_UNSYNC</b> with value <b>0</b> has been added.</td>
+<td>No effect.</td>
+</tr>
+</table>
+<br/>
+</div>
+
+<br/>
+<a class='top_ref' href='#Top'>to the top</a><br/>
+<a name='Headers'></a><h2>Header Files <span class='gray'>&nbsp;841&nbsp;</span></h2><hr/>
+<div class='h_list'>
+abs_ff.h<br/>
+abs_ii.h<br/>
+abs_ss.h<br/>
+add_cc.h<br/>
+add_const_bb.h<br/>
+add_const_cc.h<br/>
+add_const_ff.h<br/>
+add_const_ii.h<br/>
+add_const_ss.h<br/>
+add_const_vbb.h<br/>
+add_const_vcc.h<br/>
+add_const_vff.h<br/>
+add_const_vii.h<br/>
+add_const_vss.h<br/>
+add_ff.h<br/>
+add_ii.h<br/>
+add_ss.h<br/>
+additive_scrambler_bb.h<br/>
+agc.h<br/>
+agc2.h<br/>
+agc2_cc.h<br/>
+agc2_ff.h<br/>
+agc3_cc.h<br/>
+agc_cc.h<br/>
+agc_ff.h<br/>
+alaw_decode_bs.h<br/>
+alaw_encode_sb.h<br/>
+alist.h<br/>
+and_bb.h<br/>
+and_const_bb.h<br/>
+and_const_ii.h<br/>
+and_const_ss.h<br/>
+and_ii.h<br/>
+and_ss.h<br/>
+annotator_1to1.h<br/>
+annotator_alltoall.h<br/>
+annotator_raw.h<br/>
+api.h<br/>
+argmax_fs.h<br/>
+argmax_is.h<br/>
+argmax_ss.h<br/>
+async_decoder.h<br/>
+async_encoder.h<br/>
+atsc_consts.h<br/>
+atsc_deinterleaver.h<br/>
+atsc_depad.h<br/>
+atsc_derandomizer.h<br/>
+atsc_equalizer.h<br/>
+atsc_field_sync_mux.h<br/>
+atsc_fpll.h<br/>
+atsc_fs_checker.h<br/>
+atsc_interleaver.h<br/>
+atsc_pad.h<br/>
+atsc_randomizer.h<br/>
+atsc_rs_decoder.h<br/>
+atsc_rs_encoder.h<br/>
+atsc_sync.h<br/>
+atsc_trellis_encoder.h<br/>
+atsc_viterbi_decoder.h<br/>
+attributes.h<br/>
+awgn_bp.h<br/>
+base.h<br/>
+basic_block.h<br/>
+basic_trellis_encoder_impl.h<br/>
+ber_bf.h<br/>
+ber_sink_b.h<br/>
+bin_statistics_f.h<br/>
+binary_slicer_fb.h<br/>
+bit_timing_loop.h<br/>
+block.h<br/>
+block_detail.h<br/>
+block_gateway.h<br/>
+block_registry.h<br/>
+buffer.h<br/>
+burst_shaper_cc.h<br/>
+burst_shaper_ff.h<br/>
+burst_tagger.h<br/>
+calc_metric.h<br/>
+catv_config.h<br/>
+catv_frame_sync_enc_bb.h<br/>
+catv_randomizer_bb.h<br/>
+catv_reed_solomon_enc_bb.h<br/>
+catv_transport_framing_enc_bb.h<br/>
+catv_trellis_enc_bb.h<br/>
+cc_common.h<br/>
+cc_decoder.h<br/>
+cc_encoder.h<br/>
+ccsds_encoder.h<br/>
+channel_model.h<br/>
+channel_model2.h<br/>
+char_to_float.h<br/>
+char_to_short.h<br/>
+check_lfsr_32k_s.h<br/>
+chunks_to_symbols_bc.h<br/>
+chunks_to_symbols_bf.h<br/>
+chunks_to_symbols_ic.h<br/>
+chunks_to_symbols_if.h<br/>
+chunks_to_symbols_sc.h<br/>
+chunks_to_symbols_sf.h<br/>
+cldpc.h<br/>
+clock_recovery_mm_cc.h<br/>
+clock_recovery_mm_ff.h<br/>
+cma_equalizer_cc.h<br/>
+codec2.h<br/>
+codec2_decode_ps.h<br/>
+codec2_encode_sp.h<br/>
+complex_to_arg.h<br/>
+complex_to_float.h<br/>
+complex_to_imag.h<br/>
+complex_to_interleaved_short.h<br/>
+complex_to_mag.h<br/>
+complex_to_mag_squared.h<br/>
+complex_to_magphase.h<br/>
+complex_to_real.h<br/>
+config.h<br/>
+conjugate_cc.h<br/>
+const_sink_c.h<br/>
+constants.h<br/>
+constellation.h<br/>
+constellation_decoder_cb.h<br/>
+constellation_metrics_cf.h<br/>
+constellation_receiver_cb.h<br/>
+constellation_soft_decoder_cf.h<br/>
+constellationdisplayform.h<br/>
+ConstellationDisplayPlot.h<br/>
+consts.h<br/>
+control_loop.h<br/>
+conv_bit_corr_bb.h<br/>
+convolutional_interleaver.h<br/>
+copy.h<br/>
+core_algorithms.h<br/>
+corr_est_cc.h<br/>
+correlate_access_code_bb.h<br/>
+correlate_access_code_bb_ts.h<br/>
+correlate_access_code_ff_ts.h<br/>
+correlate_access_code_tag_bb.h<br/>
+correlate_access_code_tag_ff.h<br/>
+correlate_and_sync_cc.h<br/>
+costas_loop_cc.h<br/>
+count_bits.h<br/>
+cpfsk_bc.h<br/>
+cpm.h<br/>
+cpmmod_bc.h<br/>
+crc32.h<br/>
+crc32_async_bb.h<br/>
+crc32_bb.h<br/>
+create_atsci_equalizer.h<br/>
+create_atsci_fs_checker.h<br/>
+create_atsci_fs_correlator.h<br/>
+ctcss_squelch_ff.h<br/>
+ctrlport_probe2_b.h<br/>
+ctrlport_probe2_c.h<br/>
+ctrlport_probe2_f.h<br/>
+ctrlport_probe2_i.h<br/>
+ctrlport_probe2_s.h<br/>
+ctrlport_probe_c.h<br/>
+ctrlport_probe_psd.h<br/>
+cvsd_decode_bs.h<br/>
+cvsd_encode_sb.h<br/>
+data_interleaver_impl.h<br/>
+dc_blocker_cc.h<br/>
+dc_blocker_ff.h<br/>
+decode_ccsds_27_fb.h<br/>
+decoder.h<br/>
+deinterleave.h<br/>
+deinterleaver.h<br/>
+delay.h<br/>
+depad.h<br/>
+depuncture_bb.h<br/>
+derandomizer.h<br/>
+descrambler_bb.h<br/>
+diag_output_impl.h<br/>
+diff_decoder_bb.h<br/>
+diff_encoder_bb.h<br/>
+diff_phasor_cc.h<br/>
+displayform.h<br/>
+DisplayPlot.h<br/>
+divide_cc.h<br/>
+divide_ff.h<br/>
+divide_ii.h<br/>
+divide_ss.h<br/>
+dpll_bb.h<br/>
+ds_to_softds.h<br/>
+dummy_decoder.h<br/>
+dummy_encoder.h<br/>
+dvb_bbheader_bb.h<br/>
+dvb_bbscrambler_bb.h<br/>
+dvb_bch_bb.h<br/>
+dvb_config.h<br/>
+dvb_ldpc_bb.h<br/>
+dvbs2_config.h<br/>
+dvbs2_interleaver_bb.h<br/>
+dvbs2_modulator_bc.h<br/>
+dvbs2_physical_cc.h<br/>
+dvbt2_cellinterleaver_cc.h<br/>
+dvbt2_config.h<br/>
+dvbt2_framemapper_cc.h<br/>
+dvbt2_freqinterleaver_cc.h<br/>
+dvbt2_interleaver_bb.h<br/>
+dvbt2_miso_cc.h<br/>
+dvbt2_modulator_bc.h<br/>
+dvbt2_p1insertion_cc.h<br/>
+dvbt2_paprtr_cc.h<br/>
+dvbt2_pilotgenerator_cc.h<br/>
+dvbt_bit_inner_deinterleaver.h<br/>
+dvbt_bit_inner_interleaver.h<br/>
+dvbt_config.h<br/>
+dvbt_convolutional_deinterleaver.h<br/>
+dvbt_convolutional_interleaver.h<br/>
+dvbt_demap.h<br/>
+dvbt_demod_reference_signals.h<br/>
+dvbt_energy_descramble.h<br/>
+dvbt_energy_dispersal.h<br/>
+dvbt_inner_coder.h<br/>
+dvbt_map.h<br/>
+dvbt_ofdm_sym_acquisition.h<br/>
+dvbt_reed_solomon_dec.h<br/>
+dvbt_reed_solomon_enc.h<br/>
+dvbt_reference_signals.h<br/>
+dvbt_symbol_inner_interleaver.h<br/>
+dvbt_viterbi_decoder.h<br/>
+edit_box_msg.h<br/>
+encode_ccsds_27_bb.h<br/>
+encoder.h<br/>
+encoder_bb.h<br/>
+encoder_bi.h<br/>
+encoder_bs.h<br/>
+encoder_ii.h<br/>
+encoder_si.h<br/>
+encoder_ss.h<br/>
+endian_swap.h<br/>
+endianness.h<br/>
+equalizer.h<br/>
+equalizer_impl.h<br/>
+equalizer_lms2_impl.h<br/>
+equalizer_lms_impl.h<br/>
+equalizer_nop_impl.h<br/>
+expj.h<br/>
+exponentiate_const_cci.h<br/>
+fading_model.h<br/>
+fake_single_viterbi_impl.h<br/>
+fastnoise_source_c.h<br/>
+fastnoise_source_f.h<br/>
+fastnoise_source_i.h<br/>
+fastnoise_source_s.h<br/>
+fec_mtrx.h<br/>
+feedforward_agc_cc.h<br/>
+feval.h<br/>
+fft.h<br/>
+fft_filter.h<br/>
+fft_filter_ccc.h<br/>
+fft_filter_ccf.h<br/>
+fft_filter_fff.h<br/>
+fft_vcc.h<br/>
+fft_vfc.h<br/>
+field_sync_demux.h<br/>
+field_sync_mux.h<br/>
+file_descriptor_sink.h<br/>
+file_descriptor_source.h<br/>
+file_meta_sink.h<br/>
+file_meta_source.h<br/>
+file_sink.h<br/>
+file_sink_base.h<br/>
+file_source.h<br/>
+filter_delay_fc.h<br/>
+filterbank.h<br/>
+filterbank_vcvcf.h<br/>
+fir_filter.h<br/>
+fir_filter_ccc.h<br/>
+fir_filter_ccf.h<br/>
+fir_filter_fcc.h<br/>
+fir_filter_fff.h<br/>
+fir_filter_fsf.h<br/>
+fir_filter_scc.h<br/>
+fir_filter_with_buffer.h<br/>
+firdes.h<br/>
+flex_deinterleave.h<br/>
+flex_frame.h<br/>
+flex_parse.h<br/>
+flex_sync.h<br/>
+fll_band_edge_cc.h<br/>
+float_to_char.h<br/>
+float_to_complex.h<br/>
+float_to_int.h<br/>
+float_to_short.h<br/>
+float_to_uchar.h<br/>
+flowgraph.h<br/>
+fmdet_cf.h<br/>
+form_menus.h<br/>
+fpll.h<br/>
+fractional_interpolator_cc.h<br/>
+fractional_interpolator_ff.h<br/>
+fractional_resampler_cc.h<br/>
+fractional_resampler_ff.h<br/>
+framer_sink_1.h<br/>
+freedv_api.h<br/>
+freedv_rx_ss.h<br/>
+freedv_tx_ss.h<br/>
+freq_sink_c.h<br/>
+freq_sink_f.h<br/>
+freq_xlating_fir_filter_ccc.h<br/>
+freq_xlating_fir_filter_ccf.h<br/>
+freq_xlating_fir_filter_fcc.h<br/>
+freq_xlating_fir_filter_fcf.h<br/>
+freq_xlating_fir_filter_scc.h<br/>
+freq_xlating_fir_filter_scf.h<br/>
+freqcontrolpanel.h<br/>
+freqdisplayform.h<br/>
+frequency_modulator_fc.h<br/>
+FrequencyDisplayPlot.h<br/>
+fs_checker.h<br/>
+fs_checker_impl.h<br/>
+fs_checker_naive_impl.h<br/>
+fs_correlator_impl.h<br/>
+fs_correlator_naive_impl.h<br/>
+fsm.h<br/>
+fxpt.h<br/>
+fxpt_nco.h<br/>
+fxpt_vco.h<br/>
+g721_decode_bs.h<br/>
+g721_encode_sb.h<br/>
+g723_24_decode_bs.h<br/>
+g723_24_encode_sb.h<br/>
+g723_40_decode_bs.h<br/>
+g723_40_encode_sb.h<br/>
+generic_decoder.h<br/>
+generic_encoder.h<br/>
+gf2mat.h<br/>
+gf2vec.h<br/>
+glfsr.h<br/>
+glfsr_source_b.h<br/>
+glfsr_source_f.h<br/>
+gnuradio_swig_bug_workaround.h<br/>
+goertzel.h<br/>
+goertzel_fc.h<br/>
+gr_complex.h<br/>
+GrAtscSegSymSyncImpl_export.h<br/>
+gsm_fr_decode_ps.h<br/>
+gsm_fr_encode_sp.h<br/>
+hdlc_deframer_bp.h<br/>
+hdlc_framer_pb.h<br/>
+head.h<br/>
+header_buffer.h<br/>
+header_format_base.h<br/>
+header_format_counter.h<br/>
+header_format_crc.h<br/>
+header_format_default.h<br/>
+header_format_ofdm.h<br/>
+header_payload_demux.h<br/>
+hier_block2.h<br/>
+high_res_timer.h<br/>
+hilbert_fc.h<br/>
+histo_sink_f.h<br/>
+histogram_sink_f.h<br/>
+histogramdisplayform.h<br/>
+HistogramDisplayPlot.h<br/>
+hrpt.h<br/>
+hrpt_decoder.h<br/>
+hrpt_deframer.h<br/>
+hrpt_pll_cf.h<br/>
+iir_filter.h<br/>
+iir_filter_ccc.h<br/>
+iir_filter_ccd.h<br/>
+iir_filter_ccf.h<br/>
+iir_filter_ccz.h<br/>
+iir_filter_ffd.h<br/>
+int_to_float.h<br/>
+integrate_cc.h<br/>
+integrate_ff.h<br/>
+integrate_ii.h<br/>
+integrate_ss.h<br/>
+interleave.h<br/>
+interleaved_char_to_complex.h<br/>
+interleaved_short_to_complex.h<br/>
+interleaver.h<br/>
+interleaver_fifo.h<br/>
+interp_fir_filter_ccc.h<br/>
+interp_fir_filter_ccf.h<br/>
+interp_fir_filter_fcc.h<br/>
+interp_fir_filter_fff.h<br/>
+interp_fir_filter_fsf.h<br/>
+interp_fir_filter_scc.h<br/>
+interpolating_resampler_type.h<br/>
+interpolator_taps.h<br/>
+io_signature.h<br/>
+keep_m_in_n.h<br/>
+keep_one_in_n.h<br/>
+kurtotic_equalizer_cc.h<br/>
+ldpc_bit_flip_decoder.h<br/>
+ldpc_decoder.h<br/>
+ldpc_encoder.h<br/>
+ldpc_G_matrix.h<br/>
+ldpc_gen_mtrx_encoder.h<br/>
+ldpc_H_matrix.h<br/>
+ldpc_par_mtrx_encoder.h<br/>
+lfsr.h<br/>
+lfsr_15_1_0.h<br/>
+lfsr_32k.h<br/>
+lfsr_32k_source_s.h<br/>
+lms_dd_equalizer_cc.h<br/>
+log2_const.h<br/>
+logger.h<br/>
+magphase_to_complex.h<br/>
+map_bb.h<br/>
+math.h<br/>
+max_ff.h<br/>
+max_ii.h<br/>
+max_ss.h<br/>
+maxstar.h<br/>
+message.h<br/>
+message_burst_source.h<br/>
+message_debug.h<br/>
+message_sink.h<br/>
+message_source.h<br/>
+message_strobe.h<br/>
+message_strobe_random.h<br/>
+metric_type.h<br/>
+metrics_c.h<br/>
+metrics_f.h<br/>
+metrics_i.h<br/>
+metrics_s.h<br/>
+min_ff.h<br/>
+min_ii.h<br/>
+min_ss.h<br/>
+misc.h<br/>
+mmse_fir_interpolator_cc.h<br/>
+mmse_fir_interpolator_ff.h<br/>
+mmse_interp_differentiator_cc.h<br/>
+mmse_interp_differentiator_ff.h<br/>
+modulate_vector.h<br/>
+moving_average_cc.h<br/>
+moving_average_ff.h<br/>
+moving_average_ii.h<br/>
+moving_average_ss.h<br/>
+mpsk_receiver_cc.h<br/>
+mpsk_snr_est.h<br/>
+mpsk_snr_est_cc.h<br/>
+msg_accepter.h<br/>
+msg_accepter_msgq.h<br/>
+msg_handler.h<br/>
+msg_passing.h<br/>
+msg_producer.h<br/>
+msg_queue.h<br/>
+msk_timing_recovery_cc.h<br/>
+multiply_by_tag_value_cc.h<br/>
+multiply_cc.h<br/>
+multiply_conjugate_cc.h<br/>
+multiply_const_cc.h<br/>
+multiply_const_ff.h<br/>
+multiply_const_ii.h<br/>
+multiply_const_ss.h<br/>
+multiply_const_vcc.h<br/>
+multiply_const_vff.h<br/>
+multiply_const_vii.h<br/>
+multiply_const_vss.h<br/>
+multiply_ff.h<br/>
+multiply_ii.h<br/>
+multiply_matrix_cc.h<br/>
+multiply_matrix_ff.h<br/>
+multiply_ss.h<br/>
+mute_cc.h<br/>
+mute_ff.h<br/>
+mute_ii.h<br/>
+mute_ss.h<br/>
+nco.h<br/>
+nlog10_ff.h<br/>
+noise_source_c.h<br/>
+noise_source_f.h<br/>
+noise_source_i.h<br/>
+noise_source_s.h<br/>
+noise_type.h<br/>
+nop.h<br/>
+not_bb.h<br/>
+not_ii.h<br/>
+not_ss.h<br/>
+null_sink.h<br/>
+null_source.h<br/>
+number_sink.h<br/>
+numberdisplayform.h<br/>
+ofdm_carrier_allocator_cvc.h<br/>
+ofdm_chanest_vcvc.h<br/>
+ofdm_cyclic_prefixer.h<br/>
+ofdm_equalizer_base.h<br/>
+ofdm_equalizer_simpledfe.h<br/>
+ofdm_equalizer_static.h<br/>
+ofdm_frame_acquisition.h<br/>
+ofdm_frame_equalizer_vcvc.h<br/>
+ofdm_frame_sink.h<br/>
+ofdm_insert_preamble.h<br/>
+ofdm_mapper_bcv.h<br/>
+ofdm_sampler.h<br/>
+ofdm_serializer_vcc.h<br/>
+ofdm_sync_sc_cfb.h<br/>
+or_bb.h<br/>
+or_ii.h<br/>
+or_ss.h<br/>
+oscope_guts.h<br/>
+oscope_sink_f.h<br/>
+oscope_sink_x.h<br/>
+pack_k_bits.h<br/>
+pack_k_bits_bb.h<br/>
+packed_to_unpacked_bb.h<br/>
+packed_to_unpacked_ii.h<br/>
+packed_to_unpacked_ss.h<br/>
+packet_header_default.h<br/>
+packet_header_ofdm.h<br/>
+packet_headergenerator_bb.h<br/>
+packet_headerparser_b.h<br/>
+packet_sink.h<br/>
+pad.h<br/>
+patterned_interleaver.h<br/>
+pccc_decoder_b.h<br/>
+pccc_decoder_combined_cb.h<br/>
+pccc_decoder_combined_ci.h<br/>
+pccc_decoder_combined_cs.h<br/>
+pccc_decoder_combined_fb.h<br/>
+pccc_decoder_combined_fi.h<br/>
+pccc_decoder_combined_fs.h<br/>
+pccc_decoder_i.h<br/>
+pccc_decoder_s.h<br/>
+pccc_encoder_bb.h<br/>
+pccc_encoder_bi.h<br/>
+pccc_encoder_bs.h<br/>
+pccc_encoder_ii.h<br/>
+pccc_encoder_si.h<br/>
+pccc_encoder_ss.h<br/>
+pdu.h<br/>
+pdu_filter.h<br/>
+pdu_remove.h<br/>
+pdu_set.h<br/>
+pdu_to_tagged_stream.h<br/>
+peak_detector2_fb.h<br/>
+peak_detector_fb.h<br/>
+peak_detector_ib.h<br/>
+peak_detector_sb.h<br/>
+permutation.h<br/>
+pfb_arb_resampler.h<br/>
+pfb_arb_resampler_ccc.h<br/>
+pfb_arb_resampler_ccf.h<br/>
+pfb_arb_resampler_fff.h<br/>
+pfb_channelizer_ccf.h<br/>
+pfb_clock_sync_ccf.h<br/>
+pfb_clock_sync_fff.h<br/>
+pfb_decimator_ccf.h<br/>
+pfb_interpolator_ccf.h<br/>
+pfb_synthesizer_ccf.h<br/>
+phase_modulator_fc.h<br/>
+plateau_detector_fb.h<br/>
+pll_carriertracking_cc.h<br/>
+pll_freqdet_cf.h<br/>
+pll_refout_cc.h<br/>
+plot_raster.h<br/>
+plot_waterfall.h<br/>
+pm_remez.h<br/>
+pmt.h<br/>
+pmt_pool.h<br/>
+pmt_serial_tags.h<br/>
+pmt_sugar.h<br/>
+pn_correlator_cc.h<br/>
+pnXXX_impl.h<br/>
+polar_common.h<br/>
+polar_decoder_common.h<br/>
+polar_decoder_sc.h<br/>
+polar_decoder_sc_list.h<br/>
+polar_decoder_sc_systematic.h<br/>
+polar_encoder.h<br/>
+polar_encoder_systematic.h<br/>
+polyphase_filterbank.h<br/>
+prefs.h<br/>
+probe_avg_mag_sqrd_c.h<br/>
+probe_avg_mag_sqrd_cf.h<br/>
+probe_avg_mag_sqrd_f.h<br/>
+probe_density_b.h<br/>
+probe_mpsk_snr_est_c.h<br/>
+probe_rate.h<br/>
+probe_signal_b.h<br/>
+probe_signal_c.h<br/>
+probe_signal_f.h<br/>
+probe_signal_i.h<br/>
+probe_signal_s.h<br/>
+probe_signal_vb.h<br/>
+probe_signal_vc.h<br/>
+probe_signal_vf.h<br/>
+probe_signal_vi.h<br/>
+probe_signal_vs.h<br/>
+protocol_formatter_async.h<br/>
+protocol_formatter_bb.h<br/>
+protocol_parser_b.h<br/>
+pub_msg_sink.h<br/>
+pub_sink.h<br/>
+pull_msg_source.h<br/>
+pull_source.h<br/>
+puncture_bb.h<br/>
+puncture_ff.h<br/>
+push_msg_sink.h<br/>
+push_sink.h<br/>
+pwr_squelch_cc.h<br/>
+pwr_squelch_ff.h<br/>
+py_feval.h<br/>
+pycallback_object.h<br/>
+qtgui_types.h<br/>
+quadrature_demod_cf.h<br/>
+quicksort_index.h<br/>
+rail_ff.h<br/>
+random.h<br/>
+random_pdu.h<br/>
+random_uniform_source_b.h<br/>
+random_uniform_source_i.h<br/>
+random_uniform_source_s.h<br/>
+randomizer.h<br/>
+randomizer_impl.h<br/>
+rational_resampler_base_ccc.h<br/>
+rational_resampler_base_ccf.h<br/>
+rational_resampler_base_fcc.h<br/>
+rational_resampler_base_fff.h<br/>
+rational_resampler_base_fsf.h<br/>
+rational_resampler_base_scc.h<br/>
+realtime.h<br/>
+realtime_impl.h<br/>
+reed_solomon_impl.h<br/>
+regenerate_bb.h<br/>
+rep_msg_sink.h<br/>
+rep_sink.h<br/>
+repack_bits_bb.h<br/>
+repeat.h<br/>
+repetition_decoder.h<br/>
+repetition_encoder.h<br/>
+req_msg_source.h<br/>
+req_source.h<br/>
+rms_cf.h<br/>
+rms_ff.h<br/>
+rotator.h<br/>
+rotator_cc.h<br/>
+rpccallbackregister_base.h<br/>
+rpcmanager.h<br/>
+rpcmanager_base.h<br/>
+rpcregisterhelpers.h<br/>
+rpcserver_aggregator.h<br/>
+rpcserver_base.h<br/>
+rpcserver_booter_aggregator.h<br/>
+rpcserver_booter_base.h<br/>
+rpcserver_selector.h<br/>
+rs.h<br/>
+rs_decoder.h<br/>
+rs_encoder.h<br/>
+runtime_types.h<br/>
+sample_and_hold_bb.h<br/>
+sample_and_hold_ff.h<br/>
+sample_and_hold_ii.h<br/>
+sample_and_hold_ss.h<br/>
+sccc_decoder_b.h<br/>
+sccc_decoder_combined_cb.h<br/>
+sccc_decoder_combined_ci.h<br/>
+sccc_decoder_combined_cs.h<br/>
+sccc_decoder_combined_fb.h<br/>
+sccc_decoder_combined_fi.h<br/>
+sccc_decoder_combined_fs.h<br/>
+sccc_decoder_i.h<br/>
+sccc_decoder_s.h<br/>
+sccc_encoder_bb.h<br/>
+sccc_encoder_bi.h<br/>
+sccc_encoder_bs.h<br/>
+sccc_encoder_ii.h<br/>
+sccc_encoder_si.h<br/>
+sccc_encoder_ss.h<br/>
+scrambler_bb.h<br/>
+selective_fading_model.h<br/>
+short_to_char.h<br/>
+short_to_float.h<br/>
+sig_source_c.h<br/>
+sig_source_f.h<br/>
+sig_source_i.h<br/>
+sig_source_s.h<br/>
+sig_source_waveform.h<br/>
+simple_correlator.h<br/>
+simple_framer.h<br/>
+simple_framer_sync.h<br/>
+simple_squelch_cc.h<br/>
+sincos.h<br/>
+single_pole_iir.h<br/>
+single_pole_iir_filter_cc.h<br/>
+single_pole_iir_filter_ff.h<br/>
+single_viterbi_impl.h<br/>
+sink.h<br/>
+sink_c.h<br/>
+sink_f.h<br/>
+sink_s.h<br/>
+sink_uc.h<br/>
+siso_combined_f.h<br/>
+siso_f.h<br/>
+siso_type.h<br/>
+skiphead.h<br/>
+slicer_agc_impl.h<br/>
+slicer_fb.h<br/>
+sliding_correlator_impl.h<br/>
+socket_pdu.h<br/>
+source.h<br/>
+source_c.h<br/>
+source_s.h<br/>
+spectrumUpdateEvents.h<br/>
+sptr_magic.h<br/>
+squash_ff.h<br/>
+squelch_base_cc.h<br/>
+squelch_base_ff.h<br/>
+sssr_impl.h<br/>
+stream_mux.h<br/>
+stream_to_streams.h<br/>
+stream_to_tagged_stream.h<br/>
+stream_to_vector.h<br/>
+streams_to_stream.h<br/>
+streams_to_vector.h<br/>
+stretch_ff.h<br/>
+sub_cc.h<br/>
+sub_ff.h<br/>
+sub_ii.h<br/>
+sub_msg_source.h<br/>
+sub_source.h<br/>
+sub_ss.h<br/>
+symbol_sync_cc.h<br/>
+symbol_sync_ff.h<br/>
+syminfo_impl.h<br/>
+sync_block.h<br/>
+sync_decimator.h<br/>
+sync_interpolator.h<br/>
+sync_tag_impl.h<br/>
+sys_paths.h<br/>
+sys_pri.h<br/>
+tag_checker.h<br/>
+tag_debug.h<br/>
+tag_gate.h<br/>
+tag_share.h<br/>
+tagged_decoder.h<br/>
+tagged_encoder.h<br/>
+tagged_file_sink.h<br/>
+tagged_stream_align.h<br/>
+tagged_stream_block.h<br/>
+tagged_stream_multiply_length.h<br/>
+tagged_stream_mux.h<br/>
+tagged_stream_to_pdu.h<br/>
+tags.h<br/>
+tags_strobe.h<br/>
+tcp_server_sink.h<br/>
+test_tag_variable_rate_ff.h<br/>
+thread.h<br/>
+thread_body_wrapper.h<br/>
+thread_group.h<br/>
+threshold_ff.h<br/>
+throttle.h<br/>
+time_raster_sink_b.h<br/>
+time_raster_sink_f.h<br/>
+time_sink_c.h<br/>
+time_sink_f.h<br/>
+timecontrolpanel.h<br/>
+timedisplayform.h<br/>
+TimeDomainDisplayPlot.h<br/>
+timerasterdisplayform.h<br/>
+TimeRasterDisplayPlot.h<br/>
+timeRasterGlobalData.h<br/>
+timing_error_detector_type.h<br/>
+top_block.h<br/>
+tpb_detail.h<br/>
+tpc_common.h<br/>
+tpc_decoder.h<br/>
+tpc_encoder.h<br/>
+transcendental.h<br/>
+trellis_encoder.h<br/>
+trellis_encoder_impl.h<br/>
+trigger_mode.h<br/>
+tsb_vector_sink_b.h<br/>
+tsb_vector_sink_c.h<br/>
+tsb_vector_sink_f.h<br/>
+tsb_vector_sink_i.h<br/>
+tsb_vector_sink_s.h<br/>
+tuntap_pdu.h<br/>
+types.h<br/>
+uchar_to_float.h<br/>
+udp_sink.h<br/>
+udp_source.h<br/>
+ulaw_decode_bs.h<br/>
+ulaw_encode_sb.h<br/>
+unittests.h<br/>
+unpack_k_bits.h<br/>
+unpack_k_bits_bb.h<br/>
+unpacked_to_packed_bb.h<br/>
+unpacked_to_packed_ii.h<br/>
+unpacked_to_packed_ss.h<br/>
+utils.h<br/>
+vco_c.h<br/>
+vco_f.h<br/>
+vector_insert_b.h<br/>
+vector_insert_c.h<br/>
+vector_insert_f.h<br/>
+vector_insert_i.h<br/>
+vector_insert_s.h<br/>
+vector_map.h<br/>
+vector_sink_b.h<br/>
+vector_sink_c.h<br/>
+vector_sink_f.h<br/>
+vector_sink_i.h<br/>
+vector_sink_s.h<br/>
+vector_source_b.h<br/>
+vector_source_c.h<br/>
+vector_source_f.h<br/>
+vector_source_i.h<br/>
+vector_source_s.h<br/>
+vector_to_stream.h<br/>
+vector_to_streams.h<br/>
+vectordisplayform.h<br/>
+VectorDisplayPlot.h<br/>
+viterbi.h<br/>
+viterbi_b.h<br/>
+viterbi_combined_cb.h<br/>
+viterbi_combined_ci.h<br/>
+viterbi_combined_cs.h<br/>
+viterbi_combined_fb.h<br/>
+viterbi_combined_fi.h<br/>
+viterbi_combined_fs.h<br/>
+viterbi_combined_ib.h<br/>
+viterbi_combined_ii.h<br/>
+viterbi_combined_is.h<br/>
+viterbi_combined_sb.h<br/>
+viterbi_combined_si.h<br/>
+viterbi_combined_ss.h<br/>
+viterbi_decoder.h<br/>
+viterbi_decoder_impl.h<br/>
+viterbi_i.h<br/>
+viterbi_s.h<br/>
+waterfall_sink_c.h<br/>
+waterfall_sink_f.h<br/>
+waterfalldisplayform.h<br/>
+WaterfallDisplayPlot.h<br/>
+waterfallGlobalData.h<br/>
+wavelet_ff.h<br/>
+wavfile.h<br/>
+wavfile_sink.h<br/>
+wavfile_source.h<br/>
+window.h<br/>
+wvps_ff.h<br/>
+xor_bb.h<br/>
+xor_ii.h<br/>
+xor_ss.h<br/>
+</div>
+<br/><a class='top_ref' href='#Top'>to the top</a><br/>
+<a name='Libs'></a><h2>Libraries <span class='gray'>&nbsp;24&nbsp;</span></h2><hr/>
+<div class='lib_list'>
+libgnuradio-analog.so.3.7.12<br/>
+libgnuradio-atsc.so.3.7.12<br/>
+libgnuradio-audio.so.3.7.12<br/>
+libgnuradio-blocks.so.3.7.12<br/>
+libgnuradio-channels.so.3.7.12<br/>
+libgnuradio-comedi.so.3.7.12<br/>
+libgnuradio-digital.so.3.7.12<br/>
+libgnuradio-dtv.so.3.7.12<br/>
+libgnuradio-fcd.so.3.7.12<br/>
+libgnuradio-fec.so.3.7.12<br/>
+libgnuradio-fft.so.3.7.12<br/>
+libgnuradio-filter.so.3.7.12<br/>
+libgnuradio-noaa.so.3.7.12<br/>
+libgnuradio-pager.so.3.7.12<br/>
+libgnuradio-pmt.so.3.7.12<br/>
+libgnuradio-qtgui.so.3.7.12<br/>
+libgnuradio-runtime.so.3.7.12<br/>
+libgnuradio-trellis.so.3.7.12<br/>
+libgnuradio-uhd.so.3.7.12<br/>
+libgnuradio-video-sdl.so.3.7.12<br/>
+libgnuradio-vocoder.so.3.7.12<br/>
+libgnuradio-wavelet.so.3.7.12<br/>
+libgnuradio-wxgui.so.3.7.12<br/>
+libgnuradio-zeromq.so.3.7.12<br/>
+</div>
+<br/><a class='top_ref' href='#Top'>to the top</a><br/>
+<br/><br/><br/></div><hr/>
+<div class='footer' align='right'><i>Generated by <a href='https://github.com/lvc/abi-compliance-checker'>ABI Compliance Checker</a> 2.2 &#160;</i>
+</div>
+<br/>
+
+</body></html>
diff -pruN 3.7.12.0-3/debian/gnuradio-dev.acc 3.7.13.2-2/debian/gnuradio-dev.acc
--- 3.7.12.0-3/debian/gnuradio-dev.acc	2018-04-04 12:06:49.000000000 +0000
+++ 3.7.13.2-2/debian/gnuradio-dev.acc	2018-06-04 21:14:01.000000000 +0000
@@ -25,30 +25,30 @@ debian/gnuradio-dev/usr/include/gnuradio
 </skip_including>
 
 <libs>
-debian/libgnuradio-analog3.7.12/usr/lib/
-debian/libgnuradio-atsc3.7.12/usr/lib/
-debian/libgnuradio-audio3.7.12/usr/lib/
-debian/libgnuradio-comedi3.7.12/usr/lib/
-debian/libgnuradio-blocks3.7.12/usr/lib/
-debian/libgnuradio-channels3.7.12/usr/lib/
-debian/libgnuradio-digital3.7.12/usr/lib/
-debian/libgnuradio-dtv3.7.12/usr/lib/
-debian/libgnuradio-fec3.7.12/usr/lib/
-debian/libgnuradio-fcd3.7.12/usr/lib/
-debian/libgnuradio-filter3.7.12/usr/lib/
-debian/libgnuradio-fft3.7.12/usr/lib/
-debian/libgnuradio-noaa3.7.12/usr/lib/
-debian/libgnuradio-pager3.7.12/usr/lib/
-debian/libgnuradio-pmt3.7.12/usr/lib/
-debian/libgnuradio-qtgui3.7.12/usr/lib/
-debian/libgnuradio-runtime3.7.12/usr/lib/
-debian/libgnuradio-trellis3.7.12/usr/lib/
-debian/libgnuradio-uhd3.7.12/usr/lib/
-debian/libgnuradio-video-sdl3.7.12/usr/lib/
-debian/libgnuradio-vocoder3.7.12/usr/lib/
-debian/libgnuradio-wavelet3.7.12/usr/lib/
-debian/libgnuradio-wxgui3.7.12/usr/lib/
-debian/libgnuradio-zeromq3.7.12/usr/lib/
+debian/libgnuradio-analog3.7.13/usr/lib/
+debian/libgnuradio-atsc3.7.13/usr/lib/
+debian/libgnuradio-audio3.7.13/usr/lib/
+debian/libgnuradio-comedi3.7.13/usr/lib/
+debian/libgnuradio-blocks3.7.13/usr/lib/
+debian/libgnuradio-channels3.7.13/usr/lib/
+debian/libgnuradio-digital3.7.13/usr/lib/
+debian/libgnuradio-dtv3.7.13/usr/lib/
+debian/libgnuradio-fec3.7.13/usr/lib/
+debian/libgnuradio-fcd3.7.13/usr/lib/
+debian/libgnuradio-filter3.7.13/usr/lib/
+debian/libgnuradio-fft3.7.13/usr/lib/
+debian/libgnuradio-noaa3.7.13/usr/lib/
+debian/libgnuradio-pager3.7.13/usr/lib/
+debian/libgnuradio-pmt3.7.13/usr/lib/
+debian/libgnuradio-qtgui3.7.13/usr/lib/
+debian/libgnuradio-runtime3.7.13/usr/lib/
+debian/libgnuradio-trellis3.7.13/usr/lib/
+debian/libgnuradio-uhd3.7.13/usr/lib/
+debian/libgnuradio-video-sdl3.7.13/usr/lib/
+debian/libgnuradio-vocoder3.7.13/usr/lib/
+debian/libgnuradio-wavelet3.7.13/usr/lib/
+debian/libgnuradio-wxgui3.7.13/usr/lib/
+debian/libgnuradio-zeromq3.7.13/usr/lib/
 </libs>
 
 </descriptor>
diff -pruN 3.7.12.0-3/debian/libgnuradio-analog3.7.12.install 3.7.13.2-2/debian/libgnuradio-analog3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-analog3.7.12.install	2018-03-31 23:10:41.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-analog3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-analog.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-analog3.7.13.install 3.7.13.2-2/debian/libgnuradio-analog3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-analog3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-analog3.7.13.install	2018-06-01 02:38:04.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-analog.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-atsc3.7.12.install 3.7.13.2-2/debian/libgnuradio-atsc3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-atsc3.7.12.install	2018-03-31 23:09:36.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-atsc3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-atsc.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-atsc3.7.13.install 3.7.13.2-2/debian/libgnuradio-atsc3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-atsc3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-atsc3.7.13.install	2018-06-01 02:36:59.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-atsc.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-audio3.7.12.install 3.7.13.2-2/debian/libgnuradio-audio3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-audio3.7.12.install	2018-03-31 23:10:33.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-audio3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-audio.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-audio3.7.13.install 3.7.13.2-2/debian/libgnuradio-audio3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-audio3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-audio3.7.13.install	2018-06-01 02:37:59.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-audio.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-blocks3.7.12.install 3.7.13.2-2/debian/libgnuradio-blocks3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-blocks3.7.12.install	2018-03-31 23:09:32.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-blocks3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-blocks.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-blocks3.7.13.install 3.7.13.2-2/debian/libgnuradio-blocks3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-blocks3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-blocks3.7.13.install	2018-06-01 02:36:54.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-blocks.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-channels3.7.12.install 3.7.13.2-2/debian/libgnuradio-channels3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-channels3.7.12.install	2018-03-31 23:10:29.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-channels3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-channels.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-channels3.7.13.install 3.7.13.2-2/debian/libgnuradio-channels3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-channels3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-channels3.7.13.install	2018-06-01 02:37:52.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-channels.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-comedi3.7.12.install 3.7.13.2-2/debian/libgnuradio-comedi3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-comedi3.7.12.install	2018-03-31 23:09:27.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-comedi3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-comedi.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-comedi3.7.13.install 3.7.13.2-2/debian/libgnuradio-comedi3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-comedi3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-comedi3.7.13.install	2018-06-01 02:36:50.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-comedi.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-digital3.7.12.install 3.7.13.2-2/debian/libgnuradio-digital3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-digital3.7.12.install	2018-03-31 23:10:25.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-digital3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-digital.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-digital3.7.13.install 3.7.13.2-2/debian/libgnuradio-digital3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-digital3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-digital3.7.13.install	2018-06-01 02:37:47.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-digital.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-dtv3.7.12.install 3.7.13.2-2/debian/libgnuradio-dtv3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-dtv3.7.12.install	2018-03-31 23:09:22.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-dtv3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-dtv.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-dtv3.7.13.install 3.7.13.2-2/debian/libgnuradio-dtv3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-dtv3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-dtv3.7.13.install	2018-06-01 02:36:45.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-dtv.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-fcd3.7.12.install 3.7.13.2-2/debian/libgnuradio-fcd3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-fcd3.7.12.install	2018-03-31 23:10:21.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-fcd3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-fcd.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-fcd3.7.12.udev 3.7.13.2-2/debian/libgnuradio-fcd3.7.12.udev
--- 3.7.12.0-3/debian/libgnuradio-fcd3.7.12.udev	2014-12-23 23:25:27.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-fcd3.7.12.udev	1970-01-01 00:00:00.000000000 +0000
@@ -1,2 +0,0 @@
-# Funcube Dongle
-ACTION=="add", SUBSYSTEMS=="usb", ATTRS{idVendor}=="04d8", ATTRS{idProduct}=="fb56",MODE:="0666", SYMLINK+="FCD"
diff -pruN 3.7.12.0-3/debian/libgnuradio-fcd3.7.13.install 3.7.13.2-2/debian/libgnuradio-fcd3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-fcd3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-fcd3.7.13.install	2018-06-01 02:37:42.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-fcd.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-fcd3.7.13.udev 3.7.13.2-2/debian/libgnuradio-fcd3.7.13.udev
--- 3.7.12.0-3/debian/libgnuradio-fcd3.7.13.udev	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-fcd3.7.13.udev	2014-12-23 23:25:27.000000000 +0000
@@ -0,0 +1,2 @@
+# Funcube Dongle
+ACTION=="add", SUBSYSTEMS=="usb", ATTRS{idVendor}=="04d8", ATTRS{idProduct}=="fb56",MODE:="0666", SYMLINK+="FCD"
diff -pruN 3.7.12.0-3/debian/libgnuradio-fec3.7.12.install 3.7.13.2-2/debian/libgnuradio-fec3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-fec3.7.12.install	2018-03-31 23:09:17.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-fec3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-fec.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-fec3.7.13.install 3.7.13.2-2/debian/libgnuradio-fec3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-fec3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-fec3.7.13.install	2018-06-01 02:36:39.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-fec.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-fft3.7.12.install 3.7.13.2-2/debian/libgnuradio-fft3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-fft3.7.12.install	2018-03-31 23:10:16.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-fft3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-fft.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-fft3.7.13.install 3.7.13.2-2/debian/libgnuradio-fft3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-fft3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-fft3.7.13.install	2018-06-01 02:37:37.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-fft.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-filter3.7.12.install 3.7.13.2-2/debian/libgnuradio-filter3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-filter3.7.12.install	2018-03-31 23:09:12.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-filter3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-filter.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-filter3.7.13.install 3.7.13.2-2/debian/libgnuradio-filter3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-filter3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-filter3.7.13.install	2018-06-01 02:36:32.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-filter.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-noaa3.7.12.install 3.7.13.2-2/debian/libgnuradio-noaa3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-noaa3.7.12.install	2018-03-31 23:10:12.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-noaa3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-noaa.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-noaa3.7.13.install 3.7.13.2-2/debian/libgnuradio-noaa3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-noaa3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-noaa3.7.13.install	2018-06-01 02:37:31.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-noaa.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-pager3.7.12.install 3.7.13.2-2/debian/libgnuradio-pager3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-pager3.7.12.install	2018-03-31 23:09:04.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-pager3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-pager.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-pager3.7.13.install 3.7.13.2-2/debian/libgnuradio-pager3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-pager3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-pager3.7.13.install	2018-06-01 02:36:24.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-pager.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-pmt3.7.12.install 3.7.13.2-2/debian/libgnuradio-pmt3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-pmt3.7.12.install	2018-03-31 23:10:07.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-pmt3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-pmt.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-pmt3.7.13.install 3.7.13.2-2/debian/libgnuradio-pmt3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-pmt3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-pmt3.7.13.install	2018-06-01 02:37:27.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-pmt.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-qtgui3.7.12.install 3.7.13.2-2/debian/libgnuradio-qtgui3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-qtgui3.7.12.install	2018-03-31 23:08:56.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-qtgui3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-qtgui.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-qtgui3.7.13.install 3.7.13.2-2/debian/libgnuradio-qtgui3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-qtgui3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-qtgui3.7.13.install	2018-06-01 02:36:19.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-qtgui.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-runtime3.7.12.install 3.7.13.2-2/debian/libgnuradio-runtime3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-runtime3.7.12.install	2018-03-31 23:10:03.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-runtime3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-runtime.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-runtime3.7.13.install 3.7.13.2-2/debian/libgnuradio-runtime3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-runtime3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-runtime3.7.13.install	2018-06-01 02:37:22.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-runtime.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-trellis3.7.12.install 3.7.13.2-2/debian/libgnuradio-trellis3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-trellis3.7.12.install	2018-03-31 23:08:52.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-trellis3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-trellis.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-trellis3.7.13.install 3.7.13.2-2/debian/libgnuradio-trellis3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-trellis3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-trellis3.7.13.install	2018-06-01 02:36:13.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-trellis.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-uhd3.7.12.install 3.7.13.2-2/debian/libgnuradio-uhd3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-uhd3.7.12.install	2018-03-31 23:09:57.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-uhd3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-uhd.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-uhd3.7.13.install 3.7.13.2-2/debian/libgnuradio-uhd3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-uhd3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-uhd3.7.13.install	2018-06-01 02:37:15.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-uhd.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-video-sdl3.7.12.install 3.7.13.2-2/debian/libgnuradio-video-sdl3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-video-sdl3.7.12.install	2018-03-31 23:08:43.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-video-sdl3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-video-sdl.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-video-sdl3.7.13.install 3.7.13.2-2/debian/libgnuradio-video-sdl3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-video-sdl3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-video-sdl3.7.13.install	2018-06-01 02:36:03.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-video-sdl.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-vocoder3.7.12.install 3.7.13.2-2/debian/libgnuradio-vocoder3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-vocoder3.7.12.install	2018-03-31 23:09:47.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-vocoder3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-vocoder.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-vocoder3.7.13.install 3.7.13.2-2/debian/libgnuradio-vocoder3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-vocoder3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-vocoder3.7.13.install	2018-06-01 02:37:10.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-vocoder.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-wavelet3.7.12.install 3.7.13.2-2/debian/libgnuradio-wavelet3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-wavelet3.7.12.install	2018-03-31 23:08:37.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-wavelet3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-wavelet.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-wavelet3.7.13.install 3.7.13.2-2/debian/libgnuradio-wavelet3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-wavelet3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-wavelet3.7.13.install	2018-06-01 02:35:55.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-wavelet.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-wxgui3.7.12.install 3.7.13.2-2/debian/libgnuradio-wxgui3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-wxgui3.7.12.install	2018-03-31 23:09:42.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-wxgui3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-wxgui.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-wxgui3.7.13.install 3.7.13.2-2/debian/libgnuradio-wxgui3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-wxgui3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-wxgui3.7.13.install	2018-06-01 02:37:04.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-wxgui.so.3.7.13
diff -pruN 3.7.12.0-3/debian/libgnuradio-zeromq3.7.12.install 3.7.13.2-2/debian/libgnuradio-zeromq3.7.12.install
--- 3.7.12.0-3/debian/libgnuradio-zeromq3.7.12.install	2018-03-31 23:08:31.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-zeromq3.7.12.install	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/lib/*/libgnuradio-zeromq.so.3.7.12
diff -pruN 3.7.12.0-3/debian/libgnuradio-zeromq3.7.13.install 3.7.13.2-2/debian/libgnuradio-zeromq3.7.13.install
--- 3.7.12.0-3/debian/libgnuradio-zeromq3.7.13.install	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/libgnuradio-zeromq3.7.13.install	2018-06-01 02:35:45.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libgnuradio-zeromq.so.3.7.13
diff -pruN 3.7.12.0-3/debian/patches/0001-grc-fix-grid_pos-eval.patch 3.7.13.2-2/debian/patches/0001-grc-fix-grid_pos-eval.patch
--- 3.7.12.0-3/debian/patches/0001-grc-fix-grid_pos-eval.patch	2018-04-29 21:13:34.000000000 +0000
+++ 3.7.13.2-2/debian/patches/0001-grc-fix-grid_pos-eval.patch	1970-01-01 00:00:00.000000000 +0000
@@ -1,52 +0,0 @@
-From bb7b61a4629ce2dea274c413c61ecb330c8c2297 Mon Sep 17 00:00:00 2001
-From: Sebastian Koslowski <sebastian.koslowski@gmail.com>
-Date: Wed, 4 Apr 2018 23:27:28 +0200
-Subject: [PATCH 1/7] grc: fix grid_pos eval
-
----
- grc/core/Param.py | 22 +++++++++++++---------
- 1 file changed, 13 insertions(+), 9 deletions(-)
-
-diff --git a/grc/core/Param.py b/grc/core/Param.py
-index 01697919d0..31465c7edb 100644
---- a/grc/core/Param.py
-+++ b/grc/core/Param.py
-@@ -541,6 +541,7 @@ class Param(Element):
-         # Grid Position Type
-         #########################
-         elif t == 'grid_pos':
-+            self.hostage_cells.clear()
-             if not v:
-                 # Allow for empty grid pos
-                 return ''
-@@ -560,15 +561,18 @@ class Param(Element):
-             except:
-                 my_parent = ''
-             # Calculate hostage cells
--            for r in range(row_span):
--                for c in range(col_span):
--                    self.hostage_cells.append((my_parent, (row + r, col + c)))
--            # Avoid collisions
--            params = filter(lambda p: p is not self, self.get_all_params('grid_pos'))
--            for param in params:
--                for parent, cell in param._hostage_cells:
--                    if (parent, cell) in self.hostage_cells:
--                        raise Exception('Another graphical element is using parent "{0}", cell "{1}".'.format(str(parent), str(cell)))
-+            for r in range(row, row + row_span):
-+                for c in range(col, col + col_span):
-+                    self.hostage_cells.add((my_parent, (r, c)))
-+
-+            for other in self.get_all_params('grid_pos'):
-+                if other is self:
-+                    continue
-+                collision = next(iter(self.hostage_cells & other.hostage_cells), None)
-+                if collision:
-+                    raise Exception('Block {block!r} is also using parent {parent!r}, cell {cell!r}.'.format(
-+                        block=other.get_parent().get_id(), parent=collision[0] or 'main', cell=collision[1]
-+                    ))
-             return e
-         #########################
-         # Notebook Page Type
--- 
-2.11.0
-
diff -pruN 3.7.12.0-3/debian/patches/0002-grc-fix-param-tooltip-error-don-t-use-string-string.patch 3.7.13.2-2/debian/patches/0002-grc-fix-param-tooltip-error-don-t-use-string-string.patch
--- 3.7.12.0-3/debian/patches/0002-grc-fix-param-tooltip-error-don-t-use-string-string.patch	2018-04-29 21:13:34.000000000 +0000
+++ 3.7.13.2-2/debian/patches/0002-grc-fix-param-tooltip-error-don-t-use-string-string.patch	1970-01-01 00:00:00.000000000 +0000
@@ -1,28 +0,0 @@
-From 20ef863e86289107bc4c6cc375edd5890a363694 Mon Sep 17 00:00:00 2001
-From: Sebastian Koslowski <sebastian.koslowski@gmail.com>
-Date: Wed, 4 Apr 2018 23:28:19 +0200
-Subject: [PATCH 2/7] grc: fix param tooltip error (don't use string/$string)
-
----
- grc/gui/Param.py | 4 ++--
- 1 file changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/grc/gui/Param.py b/grc/gui/Param.py
-index 7f90a7bea1..019bc533e7 100644
---- a/grc/gui/Param.py
-+++ b/grc/gui/Param.py
-@@ -368,9 +368,9 @@ PARAM_LABEL_MARKUP_TMPL="""\
- 
- TIP_MARKUP_TMPL="""\
- ########################################
--#def truncate(string)
-+#def truncate(value)
-     #set $max_len = 100
--    #set $string = str($string)
-+    #set $string = str(value)
-     #if len($string) > $max_len
- $('%s...%s'%($string[:$max_len/2], $string[-$max_len/2:]))#slurp
-     #else
--- 
-2.11.0
-
diff -pruN 3.7.12.0-3/debian/patches/0003-Boost-1.67-compatibility.patch 3.7.13.2-2/debian/patches/0003-Boost-1.67-compatibility.patch
--- 3.7.12.0-3/debian/patches/0003-Boost-1.67-compatibility.patch	2018-04-29 21:13:34.000000000 +0000
+++ 3.7.13.2-2/debian/patches/0003-Boost-1.67-compatibility.patch	1970-01-01 00:00:00.000000000 +0000
@@ -1,62 +0,0 @@
-From b320213c6611cd0ab02034ec1ff1380e83dab8e1 Mon Sep 17 00:00:00 2001
-From: ilovezfs <ilovezfs@icloud.com>
-Date: Tue, 17 Apr 2018 03:25:30 -0700
-Subject: [PATCH 3/7] Boost 1.67 compatibility
-
----
- gr-blocks/lib/message_strobe_impl.cc        | 2 +-
- gr-blocks/lib/message_strobe_random_impl.cc | 2 +-
- gr-uhd/lib/usrp_block_impl.cc               | 4 ++--
- 3 files changed, 4 insertions(+), 4 deletions(-)
-
-diff --git a/gr-blocks/lib/message_strobe_impl.cc b/gr-blocks/lib/message_strobe_impl.cc
-index 059584e636..cee7bfccf3 100644
---- a/gr-blocks/lib/message_strobe_impl.cc
-+++ b/gr-blocks/lib/message_strobe_impl.cc
-@@ -91,7 +91,7 @@ namespace gr {
-     void message_strobe_impl::run()
-     {
-       while(!d_finished) {
--        boost::this_thread::sleep(boost::posix_time::milliseconds(d_period_ms));
-+        boost::this_thread::sleep(boost::posix_time::milliseconds(static_cast<long>(d_period_ms)));
-         if(d_finished) {
-           return;
-         }
-diff --git a/gr-blocks/lib/message_strobe_random_impl.cc b/gr-blocks/lib/message_strobe_random_impl.cc
-index ab9422717c..08bfd1ff1f 100644
---- a/gr-blocks/lib/message_strobe_random_impl.cc
-+++ b/gr-blocks/lib/message_strobe_random_impl.cc
-@@ -110,7 +110,7 @@ namespace gr {
-     void message_strobe_random_impl::run()
-     {
-       while(!d_finished) {
--        boost::this_thread::sleep(boost::posix_time::milliseconds(std::max(0.0f,next_delay())));
-+        boost::this_thread::sleep(boost::posix_time::milliseconds(static_cast<long>(std::max(0.0f,next_delay()))));
-         if(d_finished) {
-           return;
-         }
-diff --git a/gr-uhd/lib/usrp_block_impl.cc b/gr-uhd/lib/usrp_block_impl.cc
-index 70256d3071..84a6791cf7 100644
---- a/gr-uhd/lib/usrp_block_impl.cc
-+++ b/gr-uhd/lib/usrp_block_impl.cc
-@@ -196,7 +196,7 @@ bool usrp_block_impl::_wait_for_locked_sensor(
- 
-   while (true) {
-     if ((not first_lock_time.is_not_a_date_time()) and
--        (boost::get_system_time() > (first_lock_time + boost::posix_time::seconds(LOCK_TIMEOUT)))) {
-+        (boost::get_system_time() > (first_lock_time + boost::posix_time::seconds(static_cast<long>(LOCK_TIMEOUT))))) {
-       break;
-     }
- 
-@@ -207,7 +207,7 @@ bool usrp_block_impl::_wait_for_locked_sensor(
-     else {
-       first_lock_time = boost::system_time(); //reset to 'not a date time'
- 
--      if (boost::get_system_time() > (start + boost::posix_time::seconds(LOCK_TIMEOUT))){
-+      if (boost::get_system_time() > (start + boost::posix_time::seconds(static_cast<long>(LOCK_TIMEOUT)))){
-         return false;
-       }
-     }
--- 
-2.11.0
-
diff -pruN 3.7.12.0-3/debian/patches/0004-cmake-use-MATCHES-for-Clang-not-STREQUAL.patch 3.7.13.2-2/debian/patches/0004-cmake-use-MATCHES-for-Clang-not-STREQUAL.patch
--- 3.7.12.0-3/debian/patches/0004-cmake-use-MATCHES-for-Clang-not-STREQUAL.patch	2018-04-29 21:13:34.000000000 +0000
+++ 3.7.13.2-2/debian/patches/0004-cmake-use-MATCHES-for-Clang-not-STREQUAL.patch	1970-01-01 00:00:00.000000000 +0000
@@ -1,44 +0,0 @@
-From bcc89ecb350d9b3b7983d77d4b3705fe22a58320 Mon Sep 17 00:00:00 2001
-From: Michael Dickens <michael.dickens@ettus.com>
-Date: Thu, 5 Apr 2018 14:14:53 -0400
-Subject: [PATCH 4/7] cmake: use MATCHES for "Clang", not STREQUAL
-
-Clang can be either "Clang" or "AppleClang", so use regex match instead of exact string comparison.
----
- CMakeLists.txt | 6 +++---
- 1 file changed, 3 insertions(+), 3 deletions(-)
-
-diff --git a/CMakeLists.txt b/CMakeLists.txt
-index f5a251d4e7..553ea32639 100644
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -100,7 +100,7 @@ IF(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
-     ELSE()
-         MESSAGE(WARNING "\nCannot determine the version of the compiler selected to build GNU Radio (GCC : ${CMAKE_CXX_COMPILER}). This build may or not work. We highly recommend using GCC version ${GCC_MIN_VERSION} or more recent.")
-     ENDIF()
--ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
-+ELSEIF(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-     EXECUTE_PROCESS(COMMAND
-         ${CMAKE_CXX_COMPILER} -v
-         RESULT_VARIABLE _res ERROR_VARIABLE _err
-@@ -137,7 +137,7 @@ ENDIF()
- 
- IF(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
-     SET(CMAKE_CXX_STANDARD 98)
--ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
-+ELSEIF(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-     SET(CMAKE_CXX_STANDARD 98)
- ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
-     SET(CMAKE_CXX_STANDARD 98)
-@@ -147,7 +147,7 @@ ENDIF()
- 
- IF(CMAKE_C_COMPILER_ID STREQUAL "GNU")
-     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
--ELSEIF(CMAKE_C_COMPILER_ID STREQUAL "Clang")
-+ELSEIF(CMAKE_C_COMPILER_ID MATCHES "Clang")
-     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
- ELSEIF(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
-     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11")
--- 
-2.11.0
-
diff -pruN 3.7.12.0-3/debian/patches/0005-added-GRC-fix-boost-1.67-compat-Clang-regex-to-chang.patch 3.7.13.2-2/debian/patches/0005-added-GRC-fix-boost-1.67-compat-Clang-regex-to-chang.patch
--- 3.7.12.0-3/debian/patches/0005-added-GRC-fix-boost-1.67-compat-Clang-regex-to-chang.patch	2018-04-29 21:13:34.000000000 +0000
+++ 3.7.13.2-2/debian/patches/0005-added-GRC-fix-boost-1.67-compat-Clang-regex-to-chang.patch	1970-01-01 00:00:00.000000000 +0000
@@ -1,33 +0,0 @@
-From 21957c3563117e77229b60611c0b931f12a2023c Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Marcus=20M=C3=BCller?= <mueller@kit.edu>
-Date: Wed, 18 Apr 2018 20:12:59 +0200
-Subject: [PATCH 5/7] added GRC fix, boost 1.67 compat, Clang regex to
- changelog
-
----
- CHANGELOG.md | 9 +++++++++
- 1 file changed, 9 insertions(+)
-
-diff --git a/CHANGELOG.md b/CHANGELOG.md
-index 8c06a23f3e..3134315e58 100644
---- a/CHANGELOG.md
-+++ b/CHANGELOG.md
-@@ -6,6 +6,15 @@ and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.
- 
- Older Logs can be found in `docs/RELEASE-NOTES-*`.
- 
-+## unreleased
-+
-+### Fixed
-+#### Project Scope
-+- `boost::posix_time::[milli]second` takes integer numbers, and we now at least cast the floats to integers, as Boost 1.67 forced us to realize we're (incorrectly) using floating point her
-+- CMake: using regex to match compiler against "Clang" now enables correct build on OS X
-+#### GRC
-+- Fixed GRC bug which made broke WX and Qt (by altering the template code)
-+
- ## [3.7.12.0] - 2018-04-01
- 
- ### Software Engineering
--- 
-2.11.0
-
diff -pruN 3.7.12.0-3/debian/patches/0006-grc-make-values-of-param-type-gui_hint-callable-agai.patch 3.7.13.2-2/debian/patches/0006-grc-make-values-of-param-type-gui_hint-callable-agai.patch
--- 3.7.12.0-3/debian/patches/0006-grc-make-values-of-param-type-gui_hint-callable-agai.patch	2018-04-29 21:13:34.000000000 +0000
+++ 3.7.13.2-2/debian/patches/0006-grc-make-values-of-param-type-gui_hint-callable-agai.patch	1970-01-01 00:00:00.000000000 +0000
@@ -1,57 +0,0 @@
-From dbdd204ccd3e4d174f4390bcd0948f33f1a8bf0d Mon Sep 17 00:00:00 2001
-From: Sebastian Koslowski <sebastian.koslowski@gmail.com>
-Date: Tue, 24 Apr 2018 17:36:11 +0200
-Subject: [PATCH 6/7] grc: make values of param type gui_hint callable again
-
-The templating for gui_hint was changed in #1418 breaking some oot modules.
----
- grc/core/Param.py | 17 ++++++++++++++---
- 1 file changed, 14 insertions(+), 3 deletions(-)
-
-diff --git a/grc/core/Param.py b/grc/core/Param.py
-index 31465c7edb..7565703a6b 100644
---- a/grc/core/Param.py
-+++ b/grc/core/Param.py
-@@ -76,6 +76,17 @@ def num_to_str(num):
-         return str(num)
- 
- 
-+class CallableString(str):
-+    """A string that perform old-style formatting when called
-+
-+    Used as an adaptor for templates with gui_hint params
-+    ToDo: remove this in the YAML/Mako format
-+    """
-+
-+    def __call__(self, *args):
-+        return self % args
-+
-+
- class Option(Element):
- 
-     def __init__(self, param, n):
-@@ -533,10 +544,10 @@ class Param(Element):
-         # GUI Position/Hint
-         #########################
-         elif t == 'gui_hint':
--            if (self.get_parent().get_state() == Constants.BLOCK_DISABLED):
-+            if self.get_parent().get_state() == Constants.BLOCK_DISABLED:
-                 return ''
-             else:
--                return self.parse_gui_hint(v)
-+                return CallableString(self.parse_gui_hint(v))
-         #########################
-         # Grid Position Type
-         #########################
-@@ -817,7 +828,7 @@ class Param(Element):
-         else:
-             layout = 'top_grid_layout'
- 
--        widget = '%s'  # to be fill-out in the mail template
-+        widget = '%s'  # to be fill-out in the main template
- 
-         if pos:
-             row, col, row_span, col_span = parse_pos()
--- 
-2.11.0
-
diff -pruN 3.7.12.0-3/debian/patches/0007-Added-repeated-fixing-of-QT-GUI-hinting-to-Changelog.patch 3.7.13.2-2/debian/patches/0007-Added-repeated-fixing-of-QT-GUI-hinting-to-Changelog.patch
--- 3.7.12.0-3/debian/patches/0007-Added-repeated-fixing-of-QT-GUI-hinting-to-Changelog.patch	2018-04-29 21:13:34.000000000 +0000
+++ 3.7.13.2-2/debian/patches/0007-Added-repeated-fixing-of-QT-GUI-hinting-to-Changelog.patch	1970-01-01 00:00:00.000000000 +0000
@@ -1,25 +0,0 @@
-From 062e583d1c805c86c90a7516dee00a2f4682ed0f Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Marcus=20M=C3=BCller?= <marcus.mueller@ettus.com>
-Date: Sat, 28 Apr 2018 15:40:44 +0200
-Subject: [PATCH 7/7] Added repeated fixing of QT GUI hinting to Changelog
-
----
- CHANGELOG.md | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/CHANGELOG.md b/CHANGELOG.md
-index 3134315e58..36212b784c 100644
---- a/CHANGELOG.md
-+++ b/CHANGELOG.md
-@@ -13,7 +13,7 @@ Older Logs can be found in `docs/RELEASE-NOTES-*`.
- - `boost::posix_time::[milli]second` takes integer numbers, and we now at least cast the floats to integers, as Boost 1.67 forced us to realize we're (incorrectly) using floating point her
- - CMake: using regex to match compiler against "Clang" now enables correct build on OS X
- #### GRC
--- Fixed GRC bug which made broke WX and Qt (by altering the template code)
-+- Fixed GRC bug which broke WX and Qt (by altering the template code), in multiple (less than awesome) steps
- 
- ## [3.7.12.0] - 2018-04-01
- 
--- 
-2.11.0
-
diff -pruN 3.7.12.0-3/debian/patches/0008-move-declaration-to-case.patch 3.7.13.2-2/debian/patches/0008-move-declaration-to-case.patch
--- 3.7.12.0-3/debian/patches/0008-move-declaration-to-case.patch	2018-05-27 14:01:19.000000000 +0000
+++ 3.7.13.2-2/debian/patches/0008-move-declaration-to-case.patch	1970-01-01 00:00:00.000000000 +0000
@@ -1,40 +0,0 @@
-From 4c82185a26a8e5ce5babcd254ff608af743961ae Mon Sep 17 00:00:00 2001
-From: Douglas Weber <douglas.weber@student.kit.edu>
-Date: Wed, 16 May 2018 14:49:36 +0200
-Subject: [PATCH] move declaration to case
-
----
- gr-blocks/lib/float_to_complex_impl.cc | 6 ++++--
- 1 file changed, 4 insertions(+), 2 deletions(-)
-
-diff --git a/gr-blocks/lib/float_to_complex_impl.cc b/gr-blocks/lib/float_to_complex_impl.cc
-index a2dd0d3bb8..d66d05a327 100644
---- a/gr-blocks/lib/float_to_complex_impl.cc
-+++ b/gr-blocks/lib/float_to_complex_impl.cc
-@@ -54,8 +54,7 @@ namespace gr {
- 				gr_vector_const_void_star &input_items,
- 				gr_vector_void_star &output_items)
-     {
--      float        *r = (float *)input_items[0];
--      float        *i = (float *)input_items[1];
-+      float        *r = (float *) input_items[0];
-       gr_complex *out = (gr_complex *) output_items[0];
- 
-       switch (input_items.size ()){
-@@ -65,10 +64,13 @@ namespace gr {
- 	break;
- 
-       case 2:
-+      {
- 	//for (size_t j = 0; j < noutput_items*d_vlen; j++)
- 	//  out[j] = gr_complex (r[j], i[j]);
-+        float *i = (float *) input_items[1];
-         volk_32f_x2_interleave_32fc(out, r, i, noutput_items*d_vlen);
- 	break;
-+      }
- 
-       default:
- 	assert (0);
--- 
-2.11.0
-
diff -pruN 3.7.12.0-3/debian/patches/codec2-0.8-block-update 3.7.13.2-2/debian/patches/codec2-0.8-block-update
--- 3.7.12.0-3/debian/patches/codec2-0.8-block-update	1970-01-01 00:00:00.000000000 +0000
+++ 3.7.13.2-2/debian/patches/codec2-0.8-block-update	2018-06-05 19:46:37.000000000 +0000
@@ -0,0 +1,682 @@
+From 8921bbe2bc43942b9d233e4acbdb5a79dc05de3c Mon Sep 17 00:00:00 2001
+From: "A. Maitland Bottoms" <bottoms@debian.org>
+Date: Tue, 5 Jun 2018 15:28:30 -0400
+Subject: [PATCH] codec2 0.8 block update
+
+Update gr-vocoder codec2 and freedv blocks to support new modes
+(700C, wb, 700D) available as of codec2 release 0.8 if found at
+compile time.
+---
+ gr-vocoder/examples/grfreedv.grc                   | 40 +++++++++++++---
+ gr-vocoder/grc/vocoder_codec2_decode_ps.xml        | 10 +++-
+ gr-vocoder/grc/vocoder_codec2_encode_sp.xml        | 11 ++++-
+ gr-vocoder/grc/vocoder_freedv_rx_ss.xml            | 33 +++++++++++++-
+ gr-vocoder/grc/vocoder_freedv_tx_ss.xml            | 40 +++++++++++++++-
+ gr-vocoder/include/gnuradio/vocoder/freedv_api.h   | 11 ++++-
+ gr-vocoder/include/gnuradio/vocoder/freedv_rx_ss.h |  6 ++-
+ gr-vocoder/include/gnuradio/vocoder/freedv_tx_ss.h |  5 +-
+ gr-vocoder/lib/freedv_rx_ss_impl.cc                | 31 +++++++++++--
+ gr-vocoder/lib/freedv_rx_ss_impl.h                 | 10 +++-
+ gr-vocoder/lib/freedv_tx_ss_impl.cc                | 53 ++++++++++++++++++++--
+ gr-vocoder/lib/freedv_tx_ss_impl.h                 | 17 +++++--
+ gr-vocoder/swig/vocoder_swig.i                     |  6 ++-
+ 13 files changed, 241 insertions(+), 32 deletions(-)
+
+diff --git a/gr-vocoder/examples/grfreedv.grc b/gr-vocoder/examples/grfreedv.grc
+index 9f6b95d5bd..24c43f3879 100644
+--- a/gr-vocoder/examples/grfreedv.grc
++++ b/gr-vocoder/examples/grfreedv.grc
+@@ -1,12 +1,12 @@
+ <?xml version='1.0' encoding='utf-8'?>
+-<?grc format='1' created='3.7.9'?>
++<?grc format='1' created='3.7.13'?>
+ <flow_graph>
+   <timestamp>Wed Jun 29 19:22:27 2016</timestamp>
+   <block>
+     <key>options</key>
+     <param>
+       <key>author</key>
+-      <value>A. MAitland Bottoms</value>
++      <value>A. Maitland Bottoms</value>
+     </param>
+     <param>
+       <key>window_size</key>
+@@ -73,6 +73,10 @@
+       <value>True</value>
+     </param>
+     <param>
++      <key>sizing_mode</key>
++      <value>fixed</value>
++    </param>
++    <param>
+       <key>thread_safe_setters</key>
+       <value></value>
+     </param>
+@@ -80,6 +84,10 @@
+       <key>title</key>
+       <value>GNU Radio FreeDV</value>
+     </param>
++    <param>
++      <key>placement</key>
++      <value>(0,0)</value>
++    </param>
+   </block>
+   <block>
+     <key>variable</key>
+@@ -120,7 +128,7 @@
+     </param>
+     <param>
+       <key>_enabled</key>
+-      <value>True</value>
++      <value>1</value>
+     </param>
+     <param>
+       <key>_coordinate</key>
+@@ -187,7 +195,7 @@
+     </param>
+     <param>
+       <key>device_name</key>
+-      <value></value>
++      <value>default</value>
+     </param>
+     <param>
+       <key>_enabled</key>
+@@ -195,7 +203,7 @@
+     </param>
+     <param>
+       <key>_coordinate</key>
+-      <value>(920, 228)</value>
++      <value>(888, 220)</value>
+     </param>
+     <param>
+       <key>_rotation</key>
+@@ -508,6 +516,10 @@
+       <value>vocoder_freedv_rx_ss_0</value>
+     </param>
+     <param>
++      <key>interleave_frames</key>
++      <value>1</value>
++    </param>
++    <param>
+       <key>maxoutbuf</key>
+       <value>0</value>
+     </param>
+@@ -520,6 +532,10 @@
+       <value>freedv_api.MODE_1600</value>
+     </param>
+     <param>
++      <key>squelch_enable</key>
++      <value>True</value>
++    </param>
++    <param>
+       <key>squelch_thresh</key>
+       <value>squelch</value>
+     </param>
+@@ -531,6 +547,10 @@
+       <value></value>
+     </param>
+     <param>
++      <key>clip_val</key>
++      <value>False</value>
++    </param>
++    <param>
+       <key>comment</key>
+       <value></value>
+     </param>
+@@ -544,7 +564,7 @@
+     </param>
+     <param>
+       <key>_coordinate</key>
+-      <value>(424, 221)</value>
++      <value>(424, 196)</value>
+     </param>
+     <param>
+       <key>_rotation</key>
+@@ -555,6 +575,10 @@
+       <value>vocoder_freedv_tx_ss_0</value>
+     </param>
+     <param>
++      <key>interleave_frames</key>
++      <value>1</value>
++    </param>
++    <param>
+       <key>maxoutbuf</key>
+       <value>0</value>
+     </param>
+@@ -570,6 +594,10 @@
+       <key>txt_msg</key>
+       <value>'GNU Radio'</value>
+     </param>
++    <param>
++      <key>tx_bpf_val</key>
++      <value>True</value>
++    </param>
+   </block>
+   <connection>
+     <source_block_id>audio_source_0</source_block_id>
+diff --git a/gr-vocoder/grc/vocoder_codec2_decode_ps.xml b/gr-vocoder/grc/vocoder_codec2_decode_ps.xml
+index 8448dc83df..2621f5638d 100644
+--- a/gr-vocoder/grc/vocoder_codec2_decode_ps.xml
++++ b/gr-vocoder/grc/vocoder_codec2_decode_ps.xml
+@@ -47,11 +47,19 @@
+ 			<name>700B bps</name>
+ 			<key>codec2.MODE_700B</key>
+ 		</option>
++		<option>
++			<name>700C bps</name>
++			<key>codec2.MODE_700C</key>
++		</option>
++		<option>
++			<name>Wideband</name>
++			<key>codec2.MODE_WB</key>
++		</option>
+ 	</param>
+ 	<sink>
+ 		<name>in</name>
+ 		<type>byte</type>
+-		<vlen>{ 0: 64, 1: 48, 2: 64, 3: 56, 4: 52, 5: 48, 6: 28, 7: 28 }[$mode]</vlen>
++		<vlen>{ 0: 64, 1: 48, 2: 64, 3: 56, 4: 52, 5: 48, 6: 28, 7: 28, 8: 28, 9: 64 }[$mode]</vlen>
+ 	</sink>
+ 	<source>
+ 		<name>out</name>
+diff --git a/gr-vocoder/grc/vocoder_codec2_encode_sp.xml b/gr-vocoder/grc/vocoder_codec2_encode_sp.xml
+index f11ad443c6..1d5754aaa6 100644
+--- a/gr-vocoder/grc/vocoder_codec2_encode_sp.xml
++++ b/gr-vocoder/grc/vocoder_codec2_encode_sp.xml
+@@ -47,6 +47,14 @@
+ 			<name>700B bps</name>
+ 			<key>codec2.MODE_700B</key>
+ 		</option>
++		<option>
++			<name>700C bps</name>
++			<key>codec2.MODE_700C</key>
++		</option>
++		<option>
++			<name>Wideband</name>
++			<key>codec2.MODE_WB</key>
++		</option>
+ 	</param>
+ 	<sink>
+ 		<name>in</name>
+@@ -55,7 +63,6 @@
+ 	<source>
+ 		<name>out</name>
+ 		<type>byte</type>
+-		<vlen>{ 0: 64, 1: 48, 2: 64, 3: 56, 4: 52, 5: 48, 6: 28, 7: 28 }[$mode]</vlen>
++		<vlen>{ 0: 64, 1: 48, 2: 64, 3: 56, 4: 52, 5: 48, 6: 28, 7: 28, 8: 28, 9: 64 }[$mode]</vlen>
+ 	</source>
+ </block>
+-
+diff --git a/gr-vocoder/grc/vocoder_freedv_rx_ss.xml b/gr-vocoder/grc/vocoder_freedv_rx_ss.xml
+index 14e00a0979..01554a4711 100644
+--- a/gr-vocoder/grc/vocoder_freedv_rx_ss.xml
++++ b/gr-vocoder/grc/vocoder_freedv_rx_ss.xml
+@@ -9,7 +9,8 @@
+   <key>vocoder_freedv_rx_ss</key>
+   <import>from gnuradio import vocoder</import>
+   <import>from gnuradio.vocoder import freedv_api</import>
+-  <make>vocoder.freedv_rx_ss($mode,$squelch_thresh)</make>
++  <make>vocoder.freedv_rx_ss($mode,$squelch_thresh,$interleave_frames)</make>
++  <callback>set_squelch_en($squelch_enable)</callback>
+   <callback>set_squelch_thresh($squelch_thresh)</callback>
+   <param>
+     <name>Operating Mode</name>
+@@ -40,6 +41,20 @@
+       <name>800XA</name>
+       <key>freedv_api.MODE_800XA</key>
+     </option>
++    <option>
++      <name>700C</name>
++      <key>freedv_api.MODE_700C</key>
++    </option>
++    <option>
++      <name>700D</name>
++      <key>freedv_api.MODE_700D</key>
++    </option>
++  </param>
++  <param>
++    <name>Interleave Frames</name>
++    <key>interleave_frames</key>
++    <value>1</value>
++    <type>int</type>
+   </param>
+   <param>
+     <name>Squelch Threshold</name>
+@@ -47,6 +62,12 @@
+     <value>-100.0</value>
+     <type>float</type>
+   </param>
++  <param>
++    <name>Squelch Enable</name>
++    <key>squelch_enable</key>
++    <value>True</value>
++    <type>bool</type>
++  </param>
+   <sink>
+     <name>in</name>
+     <type>short</type>
+@@ -55,4 +76,14 @@
+     <name>out</name>
+     <type>short</type>
+   </source>
++  <doc>
++Not all modes may be supported by the underlying codec2 library.
++
++interleave_frames is an integer between 1 and 32, and is only used in the 700D mode.
++(must be set the same on both transmitter and receiver)
++
++Squelch Enable defaults to On
++
++Squelch Threshold - cutoff level for receiver
++  </doc>
+ </block>
+diff --git a/gr-vocoder/grc/vocoder_freedv_tx_ss.xml b/gr-vocoder/grc/vocoder_freedv_tx_ss.xml
+index 54a49b730f..eb6151da03 100644
+--- a/gr-vocoder/grc/vocoder_freedv_tx_ss.xml
++++ b/gr-vocoder/grc/vocoder_freedv_tx_ss.xml
+@@ -9,7 +9,9 @@
+   <key>vocoder_freedv_tx_ss</key>
+   <import>from gnuradio import vocoder</import>
+   <import>from gnuradio.vocoder import freedv_api</import>
+-  <make>vocoder.freedv_tx_ss($mode,$txt_msg)</make>
++  <make>vocoder.freedv_tx_ss($mode,$txt_msg,$interleave_frames)</make>
++  <callback>set_clip($clip_val)</callback>
++  <callback>set_tx_bpf($tx_bpf_val)</callback>
+   <param>
+     <name>Operating Mode</name>
+     <key>mode</key>
+@@ -39,6 +41,14 @@
+       <name>800XA</name>
+       <key>freedv_api.MODE_800XA</key>
+     </option>
++    <option>
++      <name>700C</name>
++      <key>freedv_api.MODE_700C</key>
++    </option>
++    <option>
++      <name>700D</name>
++      <key>freedv_api.MODE_700D</key>
++    </option>
+   </param>
+   <param>
+     <name>Text Message</name>
+@@ -46,6 +56,24 @@
+     <value>'GNU Radio'</value>
+     <type>string</type>
+   </param>
++  <param>
++    <name>Interleave Frames</name>
++    <key>interleave_frames</key>
++    <value>1</value>
++    <type>int</type>
++  </param>
++  <param>
++    <name>Clip</name>
++    <key>clip_val</key>
++    <value>False</value>
++    <type>bool</type>
++  </param>
++  <param>
++    <name>Tx BPF</name>
++    <key>tx_bpf_val</key>
++    <value>True</value>
++    <type>bool</type>
++  </param>
+   <sink>
+     <name>in</name>
+     <type>short</type>
+@@ -54,4 +82,14 @@
+     <name>out</name>
+     <type>short</type>
+   </source>
++  <doc>
++Not all modes may be supported by the underlying codec2 library.
++
++interleave_frames is an integer between 1 and 32, and is only used in the 700D mode.
++(must be set the same on both transmitter and receiver)
++
++Clip reduces the Peak/Average Power Ratio from 12dB to 8dB by clipping.
++
++Tx BPF: enable a bandpass filter
++  </doc>
+ </block>
+diff --git a/gr-vocoder/include/gnuradio/vocoder/freedv_api.h b/gr-vocoder/include/gnuradio/vocoder/freedv_api.h
+index 230da4e108..f5d72835a5 100644
+--- a/gr-vocoder/include/gnuradio/vocoder/freedv_api.h
++++ b/gr-vocoder/include/gnuradio/vocoder/freedv_api.h
+@@ -1,6 +1,6 @@
+ /* -*- c++ -*- */
+ /*
+- * Copyright 2016 Free Software Foundation, Inc.
++ * Copyright 2016-2018 Free Software Foundation, Inc.
+  *
+  * This file is part of GNU Radio
+  *
+@@ -56,6 +56,15 @@ namespace gr {
+ #ifdef FREEDV_MODE_800XA
+         MODE_800XA = FREEDV_MODE_800XA,
+ #endif
++#ifdef FREEDV_MODE_700C
++        MODE_700C = FREEDV_MODE_700C,
++#endif
++#ifdef FREEDV_MODE_700D
++        MODE_700D = FREEDV_MODE_700D,
++	SYNC_UNSYNC = FREEDV_SYNC_UNSYNC,
++	SYNC_AUTO = FREEDV_SYNC_AUTO,
++	SYNC_MANUAL = FREEDV_SYNC_MANUAL,
++#endif
+       };
+ 
+     private:
+diff --git a/gr-vocoder/include/gnuradio/vocoder/freedv_rx_ss.h b/gr-vocoder/include/gnuradio/vocoder/freedv_rx_ss.h
+index a6568dee7d..2a5f3b77a4 100644
+--- a/gr-vocoder/include/gnuradio/vocoder/freedv_rx_ss.h
++++ b/gr-vocoder/include/gnuradio/vocoder/freedv_rx_ss.h
+@@ -1,6 +1,6 @@
+ /* -*- c++ -*- */
+ /*
+- * Copyright 2016 Free Software Foundation, Inc.
++ * Copyright 2016-2018 Free Software Foundation, Inc.
+  *
+  * This file is part of GNU Radio
+  *
+@@ -50,11 +50,13 @@ namespace gr {
+        *
+        * \param mode Operating Mode designation
+        * \param squelch_thresh FreeDV modem squelch threshold value
++       * \param interleave_frames FreeDV 700D mode number of frames to average error
+        */
+-      static sptr make(int mode=freedv_api::MODE_1600, float squelch_thresh=-100.0);
++      static sptr make(int mode=freedv_api::MODE_1600, float squelch_thresh=-100.0, int interleave_frames=1);
+ 
+       virtual void set_squelch_thresh(float squelch_thresh) = 0;
+       virtual float squelch_thresh() = 0;
++      virtual void set_squelch_en(bool squelch_enable) = 0;
+     };
+ 
+   } /* namespace vocoder */
+diff --git a/gr-vocoder/include/gnuradio/vocoder/freedv_tx_ss.h b/gr-vocoder/include/gnuradio/vocoder/freedv_tx_ss.h
+index 0e80d78bfb..20fd31f91c 100644
+--- a/gr-vocoder/include/gnuradio/vocoder/freedv_tx_ss.h
++++ b/gr-vocoder/include/gnuradio/vocoder/freedv_tx_ss.h
+@@ -1,6 +1,6 @@
+ /* -*- c++ -*- */
+ /*
+- * Copyright 2016 Free Software Foundation, Inc.
++ * Copyright 2016-2018 Free Software Foundation, Inc.
+  *
+  * This file is part of GNU Radio
+  *
+@@ -49,8 +49,9 @@ namespace gr {
+        *
+        * \param mode Operating Mode designation
+        * \param msg_txt Low Rate message text (callsign, location)
++       * \param interleave_frames FreeDV 700D mode number of frames to average error
+        */
+-      static sptr make(int mode=freedv_api::MODE_1600,const std::string msg_txt="GNU Radio");
++      static sptr make(int mode=freedv_api::MODE_1600,const std::string msg_txt="GNU Radio",int interleave_frames=1);
+     };
+ 
+   } /* namespace vocoder */
+diff --git a/gr-vocoder/lib/freedv_rx_ss_impl.cc b/gr-vocoder/lib/freedv_rx_ss_impl.cc
+index 748a5c10aa..4af0410cfc 100644
+--- a/gr-vocoder/lib/freedv_rx_ss_impl.cc
++++ b/gr-vocoder/lib/freedv_rx_ss_impl.cc
+@@ -1,6 +1,6 @@
+ /* -*- c++ -*- */
+ /*
+- * Copyright 2016 Free Software Foundation, Inc.
++ * Copyright 2016-2018 Free Software Foundation, Inc.
+  *
+  * This file is part of GNU Radio
+  *
+@@ -47,20 +47,31 @@ namespace gr {
+   namespace vocoder {
+ 
+     freedv_rx_ss::sptr
+-    freedv_rx_ss::make(int mode, float squelch_thresh)
++    freedv_rx_ss::make(int mode, float squelch_thresh, int interleave_frames)
+     {
+       return gnuradio::get_initial_sptr
+-        (new freedv_rx_ss_impl(mode, squelch_thresh));
++        (new freedv_rx_ss_impl(mode, squelch_thresh, interleave_frames));
+     }
+ 
+-    freedv_rx_ss_impl::freedv_rx_ss_impl (int mode, float squelch_thresh)
++    freedv_rx_ss_impl::freedv_rx_ss_impl (int mode, float squelch_thresh, int interleave_frames)
+       : gr::block("vocoder_freedv_rx_ss",
+               io_signature::make(1, 1, sizeof(short)),
+               io_signature::make(1, 1, sizeof(short))),
+-        d_mode(mode), d_squelch_thresh(squelch_thresh)
++        d_mode(mode), d_squelch_thresh(squelch_thresh), d_interleave_frames(interleave_frames)
+     {
++#ifdef FREEDV_MODE_700D
++      if (mode == FREEDV_MODE_700D) {
++      d_adv.interleave_frames = interleave_frames;
++      if((d_freedv = freedv_open_advanced(mode, &d_adv)) ==NULL)
++	throw std::runtime_error("freedv_tx_ss_impl: freedv_open_advanced failed");
++      } else {
++	if((d_freedv = freedv_open(mode)) == NULL)
++	  throw std::runtime_error("freedv_tx_ss_impl: freedv_open failed");
++      }
++#else
+       if((d_freedv = freedv_open(mode)) == NULL)
+         throw std::runtime_error("freedv_rx_ss_impl: freedv_open failed");
++#endif
+       freedv_set_snr_squelch_thresh(d_freedv, d_squelch_thresh);
+       freedv_set_squelch_en(d_freedv, 0);
+       freedv_set_callback_txt(d_freedv, put_next_rx_char, NULL, (void *) &d_cb_state);
+@@ -138,6 +149,16 @@ namespace gr {
+       freedv_set_snr_squelch_thresh(d_freedv, d_squelch_thresh);
+     }
+ 
++    void freedv_rx_ss_impl::set_squelch_en(bool squelch_enabled)
++    {
++      gr::thread::scoped_lock l(d_setlock);
++      d_squelch_en = squelch_enabled;
++      if (squelch_enabled)
++	freedv_set_squelch_en(d_freedv, 1);
++      else
++	freedv_set_squelch_en(d_freedv, 0);
++    }
++
+     float freedv_rx_ss_impl::squelch_thresh() {
+       return(d_squelch_thresh);
+     }
+diff --git a/gr-vocoder/lib/freedv_rx_ss_impl.h b/gr-vocoder/lib/freedv_rx_ss_impl.h
+index acc49d9d82..9da12e53ea 100644
+--- a/gr-vocoder/lib/freedv_rx_ss_impl.h
++++ b/gr-vocoder/lib/freedv_rx_ss_impl.h
+@@ -1,6 +1,6 @@
+ /* -*- c++ -*- */
+ /*
+- * Copyright 2016 Free Software Foundation, Inc.
++ * Copyright 2016-2018 Free Software Foundation, Inc.
+  *
+  * This file is part of GNU Radio
+  *
+@@ -53,18 +53,24 @@ namespace gr {
+       int d_total_bit_errors;
+       float d_snr_est;
+       float d_squelch_thresh;
++      bool d_squelch_en;
+       int d_speech_samples;
+       int d_max_modem_samples;
+       float d_clock_offset;
+       int d_use_codecrx;
++      int d_interleave_frames;
++#ifdef FREEDV_MODE_700D
++      struct freedv_advanced d_adv;
++#endif
+       struct CODEC2 *d_c2 = NULL;
+ 
+     public:
+-      freedv_rx_ss_impl(int mode, float squelch_thresh);
++      freedv_rx_ss_impl(int mode, float squelch_thresh, int interleave_frames);
+       ~freedv_rx_ss_impl();
+ 
+       void set_squelch_thresh(float squelch_thresh);
+       float squelch_thresh();
++      void set_squelch_en(bool squelch_enabled);
+ 
+       // Where all the action really happens
+       void forecast(int noutput_items, gr_vector_int &ninput_items_required);
+diff --git a/gr-vocoder/lib/freedv_tx_ss_impl.cc b/gr-vocoder/lib/freedv_tx_ss_impl.cc
+index a375510050..ab28183ed0 100644
+--- a/gr-vocoder/lib/freedv_tx_ss_impl.cc
++++ b/gr-vocoder/lib/freedv_tx_ss_impl.cc
+@@ -1,6 +1,6 @@
+ /* -*- c++ -*- */
+ /*
+- * Copyright 2016 Free Software Foundation, Inc.
++ * Copyright 2016-2018 Free Software Foundation, Inc.
+  *
+  * This file is part of GNU Radio
+  *
+@@ -54,20 +54,31 @@ namespace gr {
+   namespace vocoder {
+ 
+     freedv_tx_ss::sptr
+-    freedv_tx_ss::make(int mode, const std::string msg_txt)
++    freedv_tx_ss::make(int mode, const std::string msg_txt, int interleave_frames)
+     {
+       return gnuradio::get_initial_sptr
+-        (new freedv_tx_ss_impl(mode, msg_txt));
++        (new freedv_tx_ss_impl(mode, msg_txt, interleave_frames));
+     }
+ 
+-    freedv_tx_ss_impl::freedv_tx_ss_impl(int mode, const std::string msg_txt)
++    freedv_tx_ss_impl::freedv_tx_ss_impl(int mode, const std::string msg_txt, int interleave_frames)
+       : sync_block("vocoder_freedv_tx_ss",
+                    io_signature::make(1, 1, sizeof(short)),
+                    io_signature::make(1, 1, sizeof(short))),
+-        d_mode(mode), d_msg_text(msg_txt)
++        d_mode(mode), d_msg_text(msg_txt), d_interleave_frames(interleave_frames)
+     {
++#ifdef FREEDV_MODE_700D
++      if (mode == FREEDV_MODE_700D) {
++      d_adv.interleave_frames = interleave_frames;
++      if((d_freedv = freedv_open_advanced(mode, &d_adv)) ==NULL)
++	throw std::runtime_error("freedv_tx_ss_impl: freedv_open_advanced failed");
++      } else {
++	if((d_freedv = freedv_open(mode)) == NULL)
++	  throw std::runtime_error("freedv_tx_ss_impl: freedv_open failed");
++      }
++#else
+       if((d_freedv = freedv_open(mode)) == NULL)
+         throw std::runtime_error("freedv_tx_ss_impl: freedv_open failed");
++#endif
+       snprintf(d_cb_state.tx_str,79,"%s",d_msg_text.c_str());
+       d_cb_state.ptx_str = d_cb_state.tx_str;
+       freedv_set_callback_txt(d_freedv, NULL, get_next_tx_char, (void *) &d_cb_state);
+@@ -80,6 +91,38 @@ namespace gr {
+       freedv_close(d_freedv);
+     }
+ 
++    void freedv_tx_ss_impl::set_clip(int val)
++    {
++      d_clip = val;
++#if defined(FREEDV_MODE_700C) || defined(FREEDV_MODE_700D)
++      freedv_set_clip(d_freedv, d_clip);
++#endif
++    }
++
++    void freedv_tx_ss_impl::set_clip(bool val)
++    {
++      if (val)
++	freedv_tx_ss_impl::set_clip(1);
++      else
++	freedv_tx_ss_impl::set_clip(0);
++    }
++
++    void freedv_tx_ss_impl::set_tx_bpf(int val)
++    {
++      d_tx_bpf = val;
++#ifdef FREEDV_MODE_700D
++      freedv_set_tx_bpf(d_freedv, d_tx_bpf);
++#endif
++    }
++
++    void freedv_tx_ss_impl::set_tx_bpf(bool val)
++    {
++      if (val)
++	freedv_tx_ss_impl::set_tx_bpf(1);
++      else
++	freedv_tx_ss_impl::set_tx_bpf(0);
++    }
++
+     int
+     freedv_tx_ss_impl::work(int noutput_items,
+                             gr_vector_const_void_star &input_items,
+diff --git a/gr-vocoder/lib/freedv_tx_ss_impl.h b/gr-vocoder/lib/freedv_tx_ss_impl.h
+index a023b67f5b..9304419034 100644
+--- a/gr-vocoder/lib/freedv_tx_ss_impl.h
++++ b/gr-vocoder/lib/freedv_tx_ss_impl.h
+@@ -1,6 +1,6 @@
+ /* -*- c++ -*- */
+ /*
+- * Copyright 2016 Free Software Foundation, Inc.
++ * Copyright 2016-2018 Free Software Foundation, Inc.
+  *
+  * This file is part of GNU Radio
+  *
+@@ -48,18 +48,29 @@ namespace gr {
+       struct freedv_tx_callback_state d_cb_state;
+       struct freedv *d_freedv;
+       int d_mode;
++      std::string d_msg_text;
++      int d_interleave_frames;
+       float d_squelch_thresh;
+       int d_speech_samples;
+       int d_nom_modem_samples;
+       int d_use_codectx;
+       int d_use_datatx;
+-      std::string d_msg_text;
++      int d_clip;
++      int d_tx_bpf;
++#ifdef FREEDV_MODE_700D
++      struct freedv_advanced d_adv;
++#endif
+       struct CODEC2 *d_c2;
+ 
+     public:
+-      freedv_tx_ss_impl(int mode, const std::string txt_msg);
++      freedv_tx_ss_impl(int mode, const std::string txt_msg, int interleave_frames);
+       ~freedv_tx_ss_impl();
+ 
++      void set_clip(bool val);
++      void set_clip(int val);
++      void set_tx_bpf(bool val);
++      void set_tx_bpf(int val);
++
+       // Where all the action really happens
+       int work(int noutput_items,
+                gr_vector_const_void_star &input_items,
+diff --git a/gr-vocoder/swig/vocoder_swig.i b/gr-vocoder/swig/vocoder_swig.i
+index 1bf451539d..bad26bfddb 100644
+--- a/gr-vocoder/swig/vocoder_swig.i
++++ b/gr-vocoder/swig/vocoder_swig.i
+@@ -1,6 +1,6 @@
+ /* -*- c++ -*- */
+ /*
+- * Copyright 2011,2013,2016 Free Software Foundation, Inc.
++ * Copyright 2011,2013,2016,2018 Free Software Foundation, Inc.
+  *
+  * This file is part of GNU Radio
+  *
+@@ -93,8 +93,12 @@ GR_SWIG_BLOCK_MAGIC2(vocoder, codec2_encode_sp);
+ #include "gnuradio/vocoder/freedv_tx_ss.h"
+ %}
+ 
++#ifdef FREEDV_MODE_700D
++#else
+ %ignore freedv_set_smooth_symbols;
+ %ignore freedv_set_clip;
++#endif
++
+ %include <codec2/freedv_api.h>
+ %include "gnuradio/vocoder/freedv_api.h"
+ %include "gnuradio/vocoder/freedv_rx_ss.h"
+-- 
+2.11.0
+
diff -pruN 3.7.12.0-3/debian/patches/series 3.7.13.2-2/debian/patches/series
--- 3.7.12.0-3/debian/patches/series	2018-05-27 14:01:19.000000000 +0000
+++ 3.7.13.2-2/debian/patches/series	2018-06-05 19:46:56.000000000 +0000
@@ -1,11 +1,3 @@
-0001-grc-fix-grid_pos-eval.patch
-0002-grc-fix-param-tooltip-error-don-t-use-string-string.patch
-0003-Boost-1.67-compatibility.patch
-0004-cmake-use-MATCHES-for-Clang-not-STREQUAL.patch
-0005-added-GRC-fix-boost-1.67-compat-Clang-regex-to-chang.patch
-0006-grc-make-values-of-param-type-gui_hint-callable-agai.patch
-0007-Added-repeated-fixing-of-QT-GUI-hinting-to-Changelog.patch
-0008-move-declaration-to-case.patch
 qt5-maint-0001-CMake-Update-required-minimum-version-to-2.8.12.patch
 qt5-maint-0002-CMake-FindQwt-Find-the-Qt5-version-of-QWT-instead-of.patch
 qt5-maint-0003-gr-qtgui-update-for-Qt5.patch
@@ -41,6 +33,7 @@ add-freedv-blocks
 provide-example-grfreedv
 Convert-tabs-to-spaces
 Get-the-FreeDV-demodulator-working
+codec2-0.8-block-update
 runtime-replace-std-auto_ptr-usage-with-std-unique_p
 Fix-AttributeError-NoneType-object-has-no-attribute-
 debian-soname
diff -pruN 3.7.12.0-3/gr-blocks/lib/float_array_to_int.cc 3.7.13.2-2/gr-blocks/lib/float_array_to_int.cc
--- 3.7.12.0-3/gr-blocks/lib/float_array_to_int.cc	2018-03-30 20:43:44.000000000 +0000
+++ 3.7.13.2-2/gr-blocks/lib/float_array_to_int.cc	2018-06-01 07:30:19.000000000 +0000
@@ -27,10 +27,10 @@
 #define _ISOC9X_SOURCE
 #include <float_array_to_int.h>
 #include <math.h>
-#include <stdint.h>
+#include <cstdint>
 
-static const int64_t MAX_INT =  2147483647; //  (2^31)-1
-static const int64_t MIN_INT = -2147483647; // -(2^31)-1
+static const int64_t MAX_INT =  INT32_MAX;
+static const int64_t MIN_INT =  INT32_MIN;
 
 void
 float_array_to_int(const float *in, int *out, float scale, int nsamples)
diff -pruN 3.7.12.0-3/gr-blocks/lib/float_to_complex_impl.cc 3.7.13.2-2/gr-blocks/lib/float_to_complex_impl.cc
--- 3.7.12.0-3/gr-blocks/lib/float_to_complex_impl.cc	2018-03-30 20:43:44.000000000 +0000
+++ 3.7.13.2-2/gr-blocks/lib/float_to_complex_impl.cc	2018-06-01 07:30:19.000000000 +0000
@@ -54,8 +54,7 @@ namespace gr {
 				gr_vector_const_void_star &input_items,
 				gr_vector_void_star &output_items)
     {
-      float        *r = (float *)input_items[0];
-      float        *i = (float *)input_items[1];
+      float        *r = (float *) input_items[0];
       gr_complex *out = (gr_complex *) output_items[0];
 
       switch (input_items.size ()){
@@ -65,10 +64,13 @@ namespace gr {
 	break;
 
       case 2:
+      {
 	//for (size_t j = 0; j < noutput_items*d_vlen; j++)
 	//  out[j] = gr_complex (r[j], i[j]);
+        float *i = (float *) input_items[1];
         volk_32f_x2_interleave_32fc(out, r, i, noutput_items*d_vlen);
 	break;
+      }
 
       default:
 	assert (0);
diff -pruN 3.7.12.0-3/gr-blocks/lib/message_strobe_impl.cc 3.7.13.2-2/gr-blocks/lib/message_strobe_impl.cc
--- 3.7.12.0-3/gr-blocks/lib/message_strobe_impl.cc	2018-03-30 20:43:44.000000000 +0000
+++ 3.7.13.2-2/gr-blocks/lib/message_strobe_impl.cc	2018-06-01 07:30:19.000000000 +0000
@@ -91,7 +91,7 @@ namespace gr {
     void message_strobe_impl::run()
     {
       while(!d_finished) {
-        boost::this_thread::sleep(boost::posix_time::milliseconds(d_period_ms));
+        boost::this_thread::sleep(boost::posix_time::milliseconds(static_cast<long>(d_period_ms)));
         if(d_finished) {
           return;
         }
diff -pruN 3.7.12.0-3/gr-blocks/lib/message_strobe_random_impl.cc 3.7.13.2-2/gr-blocks/lib/message_strobe_random_impl.cc
--- 3.7.12.0-3/gr-blocks/lib/message_strobe_random_impl.cc	2018-03-30 20:43:44.000000000 +0000
+++ 3.7.13.2-2/gr-blocks/lib/message_strobe_random_impl.cc	2018-06-01 07:30:19.000000000 +0000
@@ -110,7 +110,7 @@ namespace gr {
     void message_strobe_random_impl::run()
     {
       while(!d_finished) {
-        boost::this_thread::sleep(boost::posix_time::milliseconds(std::max(0.0f,next_delay())));
+        boost::this_thread::sleep(boost::posix_time::milliseconds(static_cast<long>(std::max(0.0f,next_delay()))));
         if(d_finished) {
           return;
         }
diff -pruN 3.7.12.0-3/grc/core/Param.py 3.7.13.2-2/grc/core/Param.py
--- 3.7.12.0-3/grc/core/Param.py	2018-03-30 20:43:44.000000000 +0000
+++ 3.7.13.2-2/grc/core/Param.py	2018-06-01 07:30:19.000000000 +0000
@@ -76,6 +76,17 @@ def num_to_str(num):
         return str(num)
 
 
+class CallableString(str):
+    """A string that perform old-style formatting when called
+
+    Used as an adaptor for templates with gui_hint params
+    ToDo: remove this in the YAML/Mako format
+    """
+
+    def __call__(self, *args):
+        return self % args
+
+
 class Option(Element):
 
     def __init__(self, param, n):
@@ -533,14 +544,15 @@ class Param(Element):
         # GUI Position/Hint
         #########################
         elif t == 'gui_hint':
-            if (self.get_parent().get_state() == Constants.BLOCK_DISABLED):
+            if self.get_parent().get_state() == Constants.BLOCK_DISABLED:
                 return ''
             else:
-                return self.parse_gui_hint(v)
+                return CallableString(self.parse_gui_hint(v))
         #########################
         # Grid Position Type
         #########################
         elif t == 'grid_pos':
+            self.hostage_cells.clear()
             if not v:
                 # Allow for empty grid pos
                 return ''
@@ -560,15 +572,18 @@ class Param(Element):
             except:
                 my_parent = ''
             # Calculate hostage cells
-            for r in range(row_span):
-                for c in range(col_span):
-                    self.hostage_cells.append((my_parent, (row + r, col + c)))
-            # Avoid collisions
-            params = filter(lambda p: p is not self, self.get_all_params('grid_pos'))
-            for param in params:
-                for parent, cell in param._hostage_cells:
-                    if (parent, cell) in self.hostage_cells:
-                        raise Exception('Another graphical element is using parent "{0}", cell "{1}".'.format(str(parent), str(cell)))
+            for r in range(row, row + row_span):
+                for c in range(col, col + col_span):
+                    self.hostage_cells.add((my_parent, (r, c)))
+
+            for other in self.get_all_params('grid_pos'):
+                if other is self:
+                    continue
+                collision = next(iter(self.hostage_cells & other.hostage_cells), None)
+                if collision:
+                    raise Exception('Block {block!r} is also using parent {parent!r}, cell {cell!r}.'.format(
+                        block=other.get_parent().get_id(), parent=collision[0] or 'main', cell=collision[1]
+                    ))
             return e
         #########################
         # Notebook Page Type
@@ -813,7 +828,7 @@ class Param(Element):
         else:
             layout = 'top_grid_layout'
 
-        widget = '%s'  # to be fill-out in the mail template
+        widget = '%s'  # to be fill-out in the main template
 
         if pos:
             row, col, row_span, col_span = parse_pos()
diff -pruN 3.7.12.0-3/grc/gui/Param.py 3.7.13.2-2/grc/gui/Param.py
--- 3.7.12.0-3/grc/gui/Param.py	2018-03-30 20:43:44.000000000 +0000
+++ 3.7.13.2-2/grc/gui/Param.py	2018-06-01 07:30:19.000000000 +0000
@@ -368,9 +368,9 @@ PARAM_LABEL_MARKUP_TMPL="""\
 
 TIP_MARKUP_TMPL="""\
 ########################################
-#def truncate(string)
+#def truncate(value)
     #set $max_len = 100
-    #set $string = str($string)
+    #set $string = str(value)
     #if len($string) > $max_len
 $('%s...%s'%($string[:$max_len/2], $string[-$max_len/2:]))#slurp
     #else
diff -pruN 3.7.12.0-3/gr-uhd/lib/usrp_block_impl.cc 3.7.13.2-2/gr-uhd/lib/usrp_block_impl.cc
--- 3.7.12.0-3/gr-uhd/lib/usrp_block_impl.cc	2018-03-30 20:43:44.000000000 +0000
+++ 3.7.13.2-2/gr-uhd/lib/usrp_block_impl.cc	2018-06-01 07:30:19.000000000 +0000
@@ -196,7 +196,7 @@ bool usrp_block_impl::_wait_for_locked_s
 
   while (true) {
     if ((not first_lock_time.is_not_a_date_time()) and
-        (boost::get_system_time() > (first_lock_time + boost::posix_time::seconds(LOCK_TIMEOUT)))) {
+        (boost::get_system_time() > (first_lock_time + boost::posix_time::seconds(static_cast<long>(LOCK_TIMEOUT))))) {
       break;
     }
 
@@ -207,7 +207,7 @@ bool usrp_block_impl::_wait_for_locked_s
     else {
       first_lock_time = boost::system_time(); //reset to 'not a date time'
 
-      if (boost::get_system_time() > (start + boost::posix_time::seconds(LOCK_TIMEOUT))){
+      if (boost::get_system_time() > (start + boost::posix_time::seconds(static_cast<long>(LOCK_TIMEOUT)))){
         return false;
       }
     }
